<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Name: Sectie Gezinssamenstelling en woonsituatie
Description: Template voor de weergave van sectie Gezinssamenstelling en woonsituatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000">
   <title>Sectie Gezinssamenstelling en woonsituatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]"
         id="tmp-r-6929e13f-29a3-4c82-8815-dfa627dd2258">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']])&gt;=1 and not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/@nullFlavor)">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']])&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]"
         id="tmp-r-6c83f4f1-57d2-4d17-9de6-7a5c7ecb9ecc">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']/@nullFlavor)">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1'])&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:code[(@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:code[(@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:code[(@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:code[(@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:text)&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']]])&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]])&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']"
         id="tmp-r-19ac4042-c10c-4619-be54-7d4a562327aa">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.1'">(Sectie_Gezinssamenstelling_en_woonsituatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.1' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:code[(@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:code[(@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-2d78fb36-ec6b-42a6-ba86-f5725a4e1dae">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Gezinssamenstelling_en_woonsituatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="@nullFlavor or (@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Gezinssamenstelling_en_woonsituatie): de elementwaarde MOET zijn code '11381-1' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:title
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:title"
         id="tmp-r-daf29af3-efc4-443b-ae81-78e6b50a965f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Gezinssamenstelling_en_woonsituatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:text
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']]]
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Gezinssamenstelling_en_woonsituatie): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]]
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Gezinssamenstelling_en_woonsituatie): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
