<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.11
Name: Sectie Voeding
Description: Template voor de weergave van Sectie Voeding
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000">
   <title>Sectie Voeding</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.11
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]
Item: (Sectie_Voeding)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]"
         id="tmp-r-b3e3bf04-8814-4ff0-ae0e-6f7ced4c04bc">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']])&gt;=1 and not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/@nullFlavor)">(Sectie_Voeding): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']])&lt;=1">(Sectie_Voeding): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.11
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]
Item: (Sectie_Voeding)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]"
         id="tmp-r-603d3596-affc-429a-9926-df84ebbc48fa">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']/@nullFlavor)">(Sectie_Voeding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11'])&lt;=1">(Sectie_Voeding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000.html"
              test="count(hl7:code[(@code='54540-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='54540-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sectie_Voeding): element hl7:code[(@code='54540-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000.html"
              test="count(hl7:code[(@code='54540-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sectie_Voeding): element hl7:code[(@code='54540-0' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Voeding): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Voeding): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.109']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.109']]]/@nullFlavor)">(Sectie_Voeding): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.109']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.109']]])&lt;=1">(Sectie_Voeding): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.109']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.11
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']
Item: (Sectie_Voeding)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']"
         id="tmp-r-42130a0f-8d6d-4c35-9466-9087702795cd">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Voeding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.11'">(Sectie_Voeding): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.11' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.11
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:code[(@code='54540-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sectie_Voeding)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:code[(@code='54540-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-2759be0c-864b-4287-82bc-37017c11105e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Voeding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000.html"
              test="@nullFlavor or (@code='54540-0' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Voeding): de elementwaarde MOET zijn code '54540-0' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.11
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:title
Item: (Sectie_Voeding)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.11
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.109']]]
Item: (Sectie_Voeding)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.109']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.11-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Voeding): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
