<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Name: Sectie Toediening systemen
Description: Template voor de weergave van Sectie Toediening systemen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000">
   <title>Sectie Toediening systemen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]
Item: (Sectie_Toediening_systemen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]"
         id="tmp-r-ddd5cec3-408c-4bdb-a5e1-529a439ac22b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']])&gt;=1 and not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/@nullFlavor)">(Sectie_Toediening_systemen): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']])&lt;=1">(Sectie_Toediening_systemen): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]
Item: (Sectie_Toediening_systemen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]"
         id="tmp-r-7b7ed57e-f1b8-4964-9690-299cf6cef6d6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']/@nullFlavor)">(Sectie_Toediening_systemen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12'])&lt;=1">(Sectie_Toediening_systemen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:code[(@code='54568-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='54568-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sectie_Toediening_systemen): element hl7:code[(@code='54568-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:code[(@code='54568-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sectie_Toediening_systemen): element hl7:code[(@code='54568-1' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Toediening_systemen): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Toediening_systemen): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]]/@nullFlavor)">(Sectie_Toediening_systemen): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]])&lt;=1">(Sectie_Toediening_systemen): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']
Item: (Sectie_Toediening_systemen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']"
         id="tmp-r-1068491d-bfc0-4830-8ca8-eebb9589682f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Toediening_systemen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.12'">(Sectie_Toediening_systemen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.12' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:code[(@code='54568-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sectie_Toediening_systemen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:code[(@code='54568-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-efd69ab7-9eaa-4678-8934-19111b4b4639">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Toediening_systemen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="@nullFlavor or (@code='54568-1' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Toediening_systemen): de elementwaarde MOET zijn code '54568-1' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:title
Item: (Sectie_Toediening_systemen)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]]
Item: (Sectie_Toediening_systemen)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Toediening_systemen): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
