<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.14
Name: Sectie Seksualiteit en voortplanting
Description: Template voor de weergave van Sectie Seksualiteit en voortplanting
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000">
   <title>Sectie Seksualiteit en voortplanting</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.14
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]
Item: (Sectie_Seksualiteit_en_voortplanting)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]"
         id="tmp-r-5f4c5a8a-1116-4205-acf8-27dbc05b7fa8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']])&gt;=1 and not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/@nullFlavor)">(Sectie_Seksualiteit_en_voortplanting): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']])&lt;=1">(Sectie_Seksualiteit_en_voortplanting): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.14
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]
Item: (Sectie_Seksualiteit_en_voortplanting)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]"
         id="tmp-r-7b3229ee-3d97-4729-94fe-d1d1c56aea44">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']/@nullFlavor)">(Sectie_Seksualiteit_en_voortplanting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14'])&lt;=1">(Sectie_Seksualiteit_en_voortplanting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000.html"
              test="count(hl7:code[(@code='11350-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11350-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sectie_Seksualiteit_en_voortplanting): element hl7:code[(@code='11350-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000.html"
              test="count(hl7:code[(@code='11350-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sectie_Seksualiteit_en_voortplanting): element hl7:code[(@code='11350-6' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Seksualiteit_en_voortplanting): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Seksualiteit_en_voortplanting): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]]/@nullFlavor)">(Sectie_Seksualiteit_en_voortplanting): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]])&lt;=1">(Sectie_Seksualiteit_en_voortplanting): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.14
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']
Item: (Sectie_Seksualiteit_en_voortplanting)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']"
         id="tmp-r-9dc9266a-6df7-40bd-a7a5-549d858c33de">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Seksualiteit_en_voortplanting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.14'">(Sectie_Seksualiteit_en_voortplanting): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.14' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.14
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:code[(@code='11350-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sectie_Seksualiteit_en_voortplanting)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:code[(@code='11350-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-098e7415-ee1e-43d8-86b7-ec93309318b0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Seksualiteit_en_voortplanting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000.html"
              test="@nullFlavor or (@code='11350-6' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Seksualiteit_en_voortplanting): de elementwaarde MOET zijn code '11350-6' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.14
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:title
Item: (Sectie_Seksualiteit_en_voortplanting)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.14
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]]
Item: (Sectie_Seksualiteit_en_voortplanting)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.14-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Seksualiteit_en_voortplanting): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
