<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.15
Name: Sectie Huid
Description: Sectie Huid
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000">
   <title>Sectie Huid</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.15
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.15']]
Item: (Sectie_Huid)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.15']]"
         id="tmp-r-faed52d0-db25-4924-a4ef-1ae274fa5c8e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']])&gt;=1 and not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/@nullFlavor)">(Sectie_Huid): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']])&lt;=1">(Sectie_Huid): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.15
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]
Item: (Sectie_Huid)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]"
         id="tmp-r-c3b4e879-1a1d-49bf-95a0-b3763f034be8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']/@nullFlavor)">(Sectie_Huid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15'])&lt;=1">(Sectie_Huid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000.html"
              test="count(hl7:code[(@code='8709-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='8709-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sectie_Huid): element hl7:code[(@code='8709-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000.html"
              test="count(hl7:code[(@code='8709-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sectie_Huid): element hl7:code[(@code='8709-8' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Huid): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Huid): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.151']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.151']]]/@nullFlavor)">(Sectie_Huid): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.151']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.151']]])&lt;=1">(Sectie_Huid): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.151']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.15
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']
Item: (Sectie_Huid)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']"
         id="tmp-r-a0c1e456-8d47-473e-8ca3-353a37a4cbf4">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Huid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.15'">(Sectie_Huid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.15' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.15
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:code[(@code='8709-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sectie_Huid)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:code[(@code='8709-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-0cbce772-4ffb-486a-99e2-160b4e0b2113">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Huid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000.html"
              test="@nullFlavor or (@code='8709-8' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Huid): de elementwaarde MOET zijn code '8709-8' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.15
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:title
Item: (Sectie_Huid)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.15
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.151']]]
Item: (Sectie_Huid)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.151']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.15-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Huid): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
