<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.21
Name: Sectie Communicatie
Description: Template voor de weergave van Sectie Communicatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000">
   <title>Sectie Communicatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.21
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.21']]
Item: (Sectie_Communicatie)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.21']]"
         id="tmp-r-9ac77eda-18fa-41a5-ae7e-0fc19fb17090">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']])&gt;=1 and not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/@nullFlavor)">(Sectie_Communicatie): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']])&lt;=1">(Sectie_Communicatie): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.21
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]
Item: (Sectie_Communicatie)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]"
         id="tmp-r-22509f26-6649-4968-adfe-713a14bba28a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']/@nullFlavor)">(Sectie_Communicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21'])&lt;=1">(Sectie_Communicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:code[(@code='363912006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='363912006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Sectie_Communicatie): element hl7:code[(@code='363912006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:code[(@code='363912006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Sectie_Communicatie): element hl7:code[(@code='363912006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Communicatie): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Communicatie): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']]]/@nullFlavor)">(Sectie_Communicatie): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']]])&lt;=1">(Sectie_Communicatie): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.21
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']
Item: (Sectie_Communicatie)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']"
         id="tmp-r-b7f88bbc-76cf-43f3-9f90-d21593b0e20c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Communicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.21'">(Sectie_Communicatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.21' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.21
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:code[(@code='363912006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Sectie_Communicatie)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:code[(@code='363912006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-0e1626e4-f990-49d2-88e2-7896df73a924">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Communicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="@nullFlavor or (@code='363912006' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Communicatie): de elementwaarde MOET zijn code '363912006' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.21
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:title
Item: (Sectie_Communicatie)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.21
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']]]
Item: (Sectie_Communicatie)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Communicatie): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
