<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.22
Name: Sectie Ziekte beleving
Description: Template voor de weergave van Sectie Ziekte beleving
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000">
   <title>Sectie Ziekte beleving</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]
Item: (Sectie_Ziekte_beleving)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]"
         id="tmp-r-14d71675-cf3e-4cd6-9aa0-b810a4076c62">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']])&gt;=1 and not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/@nullFlavor)">(Sectie_Ziekte_beleving): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']])&lt;=1">(Sectie_Ziekte_beleving): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]
Item: (Sectie_Ziekte_beleving)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]"
         id="tmp-r-e215870f-b085-4e94-b64d-104928851d5a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']/@nullFlavor)">(Sectie_Ziekte_beleving): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22'])&lt;=1">(Sectie_Ziekte_beleving): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000.html"
              test="count(hl7:code[(@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Sectie_Ziekte_beleving): element hl7:code[(@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000.html"
              test="count(hl7:code[(@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Sectie_Ziekte_beleving): element hl7:code[(@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Ziekte_beleving): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Ziekte_beleving): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.230']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.230']]]/@nullFlavor)">(Sectie_Ziekte_beleving): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.230']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.230']]])&lt;=1">(Sectie_Ziekte_beleving): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.230']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']
Item: (Sectie_Ziekte_beleving)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']"
         id="tmp-r-97a992b5-43b8-4a04-ad13-ead233267191">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Ziekte_beleving): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.22'">(Sectie_Ziekte_beleving): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.22' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:code[(@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Sectie_Ziekte_beleving)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:code[(@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-d2a88bfb-133a-44e4-847a-37481f739fb7">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Ziekte_beleving): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000.html"
              test="@nullFlavor or (@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Ziekte_beleving): de elementwaarde MOET zijn code '363910003' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:title
Item: (Sectie_Ziekte_beleving)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.230']]]
Item: (Sectie_Ziekte_beleving)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.230']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.22-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Ziekte_beleving): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
