<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.24
Name: Sectie Participatie in maatschappij
Description: Template voor de weergave van Sectie Participatie in maatschappijSectie Participatie in maatschappij
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000">
   <title>Sectie Participatie in maatschappij</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.24
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]
Item: (Sectie_Participatie_in_maatschappij)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]"
         id="tmp-r-2138e921-abc4-498b-a1e3-dc431a493a2c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']])&gt;=1 and not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/@nullFlavor)">(Sectie_Participatie_in_maatschappij): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']])&lt;=1">(Sectie_Participatie_in_maatschappij): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.24
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]
Item: (Sectie_Participatie_in_maatschappij)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]"
         id="tmp-r-dad5ee5e-af28-4293-87a2-2e6e676cf5ae">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']/@nullFlavor)">(Sectie_Participatie_in_maatschappij): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24'])&lt;=1">(Sectie_Participatie_in_maatschappij): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000.html"
              test="count(hl7:code[(@code='314845004' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='314845004' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Sectie_Participatie_in_maatschappij): element hl7:code[(@code='314845004' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000.html"
              test="count(hl7:code[(@code='314845004' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Sectie_Participatie_in_maatschappij): element hl7:code[(@code='314845004' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Participatie_in_maatschappij): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Participatie_in_maatschappij): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.242']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.242']]]/@nullFlavor)">(Sectie_Participatie_in_maatschappij): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.242']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.242']]])&lt;=1">(Sectie_Participatie_in_maatschappij): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.242']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.24
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']
Item: (Sectie_Participatie_in_maatschappij)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']"
         id="tmp-r-e66f71db-d88d-4f60-b3b7-4b205cb11e58">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Participatie_in_maatschappij): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.24'">(Sectie_Participatie_in_maatschappij): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.24' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.24
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:code[(@code='314845004' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Sectie_Participatie_in_maatschappij)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:code[(@code='314845004' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-b64fd047-e81e-4863-bdc5-69af64b14e7a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Participatie_in_maatschappij): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000.html"
              test="@nullFlavor or (@code='314845004' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Participatie_in_maatschappij): de elementwaarde MOET zijn code '314845004' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.24
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:title
Item: (Sectie_Participatie_in_maatschappij)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.24
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.242']]]
Item: (Sectie_Participatie_in_maatschappij)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.242']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.24-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Participatie_in_maatschappij): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
