<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.3
Name: Sectie Samenvatting zorg
Description: Template voor de weergave van sectie Samenvatting zorg
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.3-2012-05-03T000000">
   <title>Sectie Samenvatting zorg</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.3
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]
Item: (Sectie_Samenvatting_zorg)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]"
         id="tmp-r-7540b511-1a3b-4a28-b0fe-16020fa21f90">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.3-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']])&gt;=1 and not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/@nullFlavor)">(Sectie_Samenvatting_zorg): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.3-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']])&lt;=1">(Sectie_Samenvatting_zorg): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.3
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]
Item: (Sectie_Samenvatting_zorg)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]"
         id="tmp-r-29c9a378-b316-458b-97a3-67411aec0042">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.3-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']/@nullFlavor)">(Sectie_Samenvatting_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.3-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3'])&lt;=1">(Sectie_Samenvatting_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.3-2012-05-03T000000.html"
              test="count(hl7:code[(@code='34113-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='34113-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sectie_Samenvatting_zorg): element hl7:code[(@code='34113-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.3-2012-05-03T000000.html"
              test="count(hl7:code[(@code='34113-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sectie_Samenvatting_zorg): element hl7:code[(@code='34113-1' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.3-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Samenvatting_zorg): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.3-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]]/@nullFlavor)">(Sectie_Samenvatting_zorg): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.3-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]])&lt;=1">(Sectie_Samenvatting_zorg): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.3
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']
Item: (Sectie_Samenvatting_zorg)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']"
         id="tmp-r-853ca6f3-dfaf-47c6-9011-ba2f7de29586">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.3-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Samenvatting_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.3-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.3'">(Sectie_Samenvatting_zorg): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.3' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.3
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:code[(@code='34113-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sectie_Samenvatting_zorg)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:code[(@code='34113-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-8c152cd1-9060-4687-8f4f-eadb8df93a41">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.3-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Samenvatting_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.3-2012-05-03T000000.html"
              test="@nullFlavor or (@code='34113-1' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Samenvatting_zorg): de elementwaarde MOET zijn code '34113-1' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.3
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:title
Item: (Sectie_Samenvatting_zorg)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.3
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]]
Item: (Sectie_Samenvatting_zorg)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.3-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Samenvatting_zorg): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
