<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Name: Sectie Meetwaarden
Description: Template voor de weergave van Sectie Meetwaarden
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000">
   <title>Sectie Meetwaarden</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]
Item: (Sectie_Meetwaarden)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]"
         id="tmp-r-13777411-96da-410a-a467-205744ece759">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']])&gt;=1 and not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/@nullFlavor)">(Sectie_Meetwaarden): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']])&lt;=1">(Sectie_Meetwaarden): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]
Item: (Sectie_Meetwaarden)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]"
         id="tmp-r-67180df1-d695-41ea-bbf9-81cd1ba08ef6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']/@nullFlavor)">(Sectie_Meetwaarden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4'])&lt;=1">(Sectie_Meetwaarden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:code[(@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sectie_Meetwaarden): element hl7:code[(@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:code[(@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sectie_Meetwaarden): element hl7:code[(@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Meetwaarden): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Meetwaarden): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.38']]])&lt;=1">(Sectie_Meetwaarden): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.38']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']
Item: (Sectie_Meetwaarden)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']"
         id="tmp-r-101ba2c0-6066-46bf-bb0c-2763838f8064">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Meetwaarden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.4'">(Sectie_Meetwaarden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.4' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:code[(@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sectie_Meetwaarden)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:code[(@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-6091d051-dd73-43bc-ab73-bbb46d3d3965">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Meetwaarden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="@nullFlavor or (@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Meetwaarden): de elementwaarde MOET zijn code '29274-8' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:title
Item: (Sectie_Meetwaarden)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.38']]]
Item: (Sectie_Meetwaarden)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.38']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Meetwaarden): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
