<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.9
Name: Sectie Toiletgang
Description: Template voor de weergave van Sectie Toiletgang
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.9-2012-05-03T000000">
   <title>Sectie Toiletgang</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]
Item: (Sectie_Toiletgang)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]"
         id="tmp-r-b53c8b46-cfed-4696-8bc3-0f55ed899c9b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.9-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']])&lt;=1">(Sectie_Toiletgang): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']]
Item: (Sectie_Toiletgang)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']]"
         id="tmp-r-eb575688-a139-4510-bed0-56d17ce5d857">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.9-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']/@nullFlavor)">(Sectie_Toiletgang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.9-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9'])&lt;=1">(Sectie_Toiletgang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.9-2012-05-03T000000.html"
              test="count(hl7:code[(@code='284899001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='284899001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Sectie_Toiletgang): element hl7:code[(@code='284899001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.9-2012-05-03T000000.html"
              test="count(hl7:code[(@code='284899001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Sectie_Toiletgang): element hl7:code[(@code='284899001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.9-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Toiletgang): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.9-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Toiletgang): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.9-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']]]/@nullFlavor)">(Sectie_Toiletgang): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.9-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']]])&lt;=1">(Sectie_Toiletgang): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']
Item: (Sectie_Toiletgang)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']"
         id="tmp-r-c4170697-c197-4842-939f-b0b73f0ff650">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.9-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Toiletgang): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.9-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.9'">(Sectie_Toiletgang): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.9' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:code[(@code='284899001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Sectie_Toiletgang)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:code[(@code='284899001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-73ffe178-3bfe-46ed-9eee-d0ee59c445cb">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.9-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Toiletgang): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.9-2012-05-03T000000.html"
              test="@nullFlavor or (@code='284899001' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Toiletgang): de elementwaarde MOET zijn code '284899001' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:title
Item: (Sectie_Toiletgang)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']]]
Item: (Sectie_Toiletgang)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.9-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Toiletgang): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
