<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.104
Name: drinken
Description: Template voor de weergave van drinken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000">
   <title>drinken</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.104
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.104']]
Item: (drinken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.104']]"
         id="tmp-r-e1570539-c8d1-4221-bfbe-67713f318a41">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/@nullFlavor)">(drinken): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']])&lt;=1">(drinken): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.104
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']]
Item: (drinken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']]"
         id="tmp-r-c7725d8a-9375-4908-9817-fae420102677">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(drinken): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(drinken): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']/@nullFlavor)">(drinken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104'])&lt;=1">(drinken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="count(hl7:code[(@code='288851008' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='288851008' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(drinken): element hl7:code[(@code='288851008' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="count(hl7:code[(@code='288851008' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(drinken): element hl7:code[(@code='288851008' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']]])&lt;=1">(drinken): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.106']]])&lt;=1">(drinken): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.106']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.107']]])&lt;=1">(drinken): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.107']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.104
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']
Item: (drinken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']"
         id="tmp-r-50e3599c-2a5f-481f-a02b-d45afec898ff">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(drinken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.104'">(drinken): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.104' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.104
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:code[(@code='288851008' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (drinken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:code[(@code='288851008' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-2deaca65-0613-49ac-ab83-7ad84dbfbd7c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(drinken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="@nullFlavor or (@code='288851008' and @codeSystem='2.16.840.1.113883.6.96')">(drinken): de elementwaarde MOET zijn code '288851008' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.104
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']]]
Item: (drinken)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(drinken): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.104
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.106']]]
Item: (drinken)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.106']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(drinken): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.104
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.107']]]
Item: (drinken)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.104']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.107']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.104-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(drinken): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
