<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Name: voedsel intolerantie
Description: Template voor de weergave van voedsel intolerantie - Voeding
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000">
   <title>voedsel intolerantie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]
Item: (voedsel_intolerantie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]"
         id="tmp-r-7d0ff00f-a6ba-4213-ad1b-b49183c4b57d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/@nullFlavor)">(voedsel_intolerantie): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']])&lt;=1">(voedsel_intolerantie): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']]
Item: (voedsel_intolerantie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']]"
         id="tmp-r-5ac2d689-6b10-468c-9e29-274b19d3589a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(voedsel_intolerantie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(voedsel_intolerantie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(voedsel_intolerantie): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(hl7:value)=0">(voedsel_intolerantie): Als er géén sprake van voedsel intolerantie is (@negationId='true') dan moet er geen 'value' (soort voedsel intolerantie) aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']/@nullFlavor)">(voedsel_intolerantie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111'])&lt;=1">(voedsel_intolerantie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="count(hl7:code[(@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(voedsel_intolerantie): element hl7:code[(@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="count(hl7:code[(@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(voedsel_intolerantie): element hl7:code[(@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(voedsel_intolerantie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']
Item: (voedsel_intolerantie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']"
         id="tmp-r-f1cd6a4b-eb0e-4b4a-ab8b-83ac1a2c5614">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(voedsel_intolerantie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.111'">(voedsel_intolerantie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.111' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:code[(@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (voedsel_intolerantie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:code[(@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-a6afb279-61d6-4bdd-a9b3-21d2cfa5c1ca">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(voedsel_intolerantie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="@nullFlavor or (@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')">(voedsel_intolerantie): de elementwaarde MOET zijn code '235719002' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:value
Item: (voedsel_intolerantie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:value"
         id="tmp-r-3bcd576d-e4bb-42ce-a4c9-313288238464">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(voedsel_intolerantie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
