<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.112
Name: dieet
Description: Template voor de weergave van dieet - Voeding
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000">
   <title>dieet</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]
Item: (dieet)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]"
         id="tmp-r-1b19216a-2b3f-47b0-9353-d9d414174a4e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/@nullFlavor)">(dieet): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']])&lt;=1">(dieet): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']]
Item: (dieet)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']]"
         id="tmp-r-36e1757b-3236-4fa8-a127-567a3a479313">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(dieet): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(dieet): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(dieet): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(hl7:value)=0">(dieet): Als er géén dieet aanwezig is (@negationId='true') dan moet er geen value (soort dieet) aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']/@nullFlavor)">(dieet): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112'])&lt;=1">(dieet): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="count(hl7:code[(@code='41829006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='41829006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(dieet): element hl7:code[(@code='41829006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="count(hl7:code[(@code='41829006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(dieet): element hl7:code[(@code='41829006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(dieet): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']
Item: (dieet)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']"
         id="tmp-r-5572f3d8-b0be-4216-a0ce-a55c6df75610">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(dieet): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.112'">(dieet): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.112' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:code[(@code='41829006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (dieet)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:code[(@code='41829006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-d4c9a574-b978-4040-b52c-8c9469369c92">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(dieet): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="@nullFlavor or (@code='41829006' and @codeSystem='2.16.840.1.113883.6.96')">(dieet): de elementwaarde MOET zijn code '41829006' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:value
Item: (dieet)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:value"
         id="tmp-r-3f609827-d5d7-4adc-a236-fd5e8a3149dc">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.112-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(dieet): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
