<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Name: vloeistof toe te dienen via sonde
Description: Template voor de weergave van vloeistof toe te dienen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000">
   <title>vloeistof toe te dienen via sonde</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]"
         id="tmp-r-4dadaeca-d5a6-4879-9ff3-3405361beeca">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']])&gt;=1 and not(hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/@nullFlavor)">(vloeistof_toe_te_dienen_via_sonde): element hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']])&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]"
         id="tmp-r-f65dd6e6-ed17-4c64-a5be-8bc7dcd166a5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(vloeistof_toe_te_dienen_via_sonde): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="string(@classCode)='SBADM'">(vloeistof_toe_te_dienen_via_sonde): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']/@nullFlavor)">(vloeistof_toe_te_dienen_via_sonde): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118'])&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(vloeistof_toe_te_dienen_via_sonde): element hl7:code[(@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:code[(@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(vloeistof_toe_te_dienen_via_sonde): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:consumable)&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']"
         id="tmp-r-5d44c48d-815c-477e-8fcd-d32a6cf8d93b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.118'">(vloeistof_toe_te_dienen_via_sonde): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.118' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:code[(@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:code[(@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-188bcb9e-0af7-485b-aca4-30424f4fc6ef">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="@nullFlavor or (@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')">(vloeistof_toe_te_dienen_via_sonde): de elementwaarde MOET zijn code '225748000' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable"
         id="tmp-r-e427d0dc-4d7f-416f-87d1-503c1dc60e68">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(vloeistof_toe_te_dienen_via_sonde): element hl7:manufacturedProduct is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable/hl7:manufacturedProduct
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-r-022a8956-c081-46c2-9324-52e2f9d46724">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:manufacturedLabeledDrug)&gt;=1 and not(hl7:manufacturedLabeledDrug/@nullFlavor)">(vloeistof_toe_te_dienen_via_sonde): element hl7:manufacturedLabeledDrug is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:manufacturedLabeledDrug)&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:manufacturedLabeledDrug komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug"
         id="tmp-r-b8cc2a6c-2353-4659-9b77-d9cac30b8a0f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="string(@classCode)='MMAT'">(vloeistof_toe_te_dienen_via_sonde): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(vloeistof_toe_te_dienen_via_sonde): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:name)&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:name
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:name"
         id="tmp-r-722bcbcb-4649-4444-99b0-023cb1eecf01">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
