<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Name: vloeistof toe te dienen via infuus
Description: Template voor de weergave van vloeistof toe te dienen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000">
   <title>vloeistof toe te dienen via infuus</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]"
         id="tmp-r-4d96cd6c-8bae-4338-b41e-ef990e3ee2c7">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']])&gt;=1 and not(hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]"
         id="tmp-r-692c819e-2df0-4a16-944c-e2e18e9f177e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(vloeistof_toe_te_dienen_via_infuus): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="string(@classCode)='SBADM'">(vloeistof_toe_te_dienen_via_infuus): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:doseQuantity)&gt;=1 and not(hl7:doseQuantity/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:doseQuantity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:doseQuantity)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:doseQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:rateQuantity)&gt;=1 and not(hl7:rateQuantity/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:rateQuantity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:rateQuantity)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:rateQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:consumable)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']"
         id="tmp-r-39bd0beb-5c55-408c-b76c-7e81b9720aa9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_infuus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.122'">(vloeistof_toe_te_dienen_via_infuus): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.122' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:effectiveTime
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:effectiveTime"
         id="tmp-r-6726a42b-5681-42f5-8602-b55a30a81400">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PIVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_infuus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PIVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PIVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:period)&gt;=1 and not(hl7:period/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:period is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:period)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:period komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:effectiveTime/hl7:period
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:doseQuantity
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:rateQuantity
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable"
         id="tmp-r-b8f85399-db8b-4231-a679-75f9d7d87a15">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]])&gt;=1 and not(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-r-7b2405fc-4e20-4c9b-83ce-ac3d49c4854f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]])&gt;=1 and not(hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]"
         id="tmp-r-baeeee66-2bca-4e26-aaf8-40d38354b123">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:name)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-5da5177a-74ae-444b-9891-493614b7712e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_infuus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="@nullFlavor or (@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')">(vloeistof_toe_te_dienen_via_infuus): de elementwaarde MOET zijn code '440132002' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:name
Item: (vloeistof_toe_te_dienen_via_infuus)
-->
</pattern>
