<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.127
Name: soort incontinentie
Description: Template voor de weergave van soort incontinentie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000">
   <title>soort incontinentie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.127
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]
Item: (soort_incontinentie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]"
         id="tmp-r-c50e8cd2-2cb0-4939-9875-2dfa292a3182">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/@nullFlavor)">(soort_incontinentie): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']])&lt;=1">(soort_incontinentie): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.127
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']]
Item: (soort_incontinentie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']]"
         id="tmp-r-b5d379f6-c437-4ff0-ba87-33b0e2e50ff2">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(soort_incontinentie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(soort_incontinentie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']/@nullFlavor)">(soort_incontinentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127'])&lt;=1">(soort_incontinentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000.html"
              test="count(hl7:code[(@code='165232002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='165232002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(soort_incontinentie): element hl7:code[(@code='165232002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000.html"
              test="count(hl7:code[(@code='165232002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(soort_incontinentie): element hl7:code[(@code='165232002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(soort_incontinentie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(soort_incontinentie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.127
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']
Item: (soort_incontinentie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']"
         id="tmp-r-29832ffa-45e5-46eb-84ba-0721fdbf6024">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(soort_incontinentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.127'">(soort_incontinentie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.127' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.127
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:code[(@code='165232002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (soort_incontinentie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:code[(@code='165232002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-52e1c99b-2a11-47d0-8e13-7368ee8732bb">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(soort_incontinentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000.html"
              test="@nullFlavor or (@code='165232002' and @codeSystem='2.16.840.1.113883.6.96')">(soort_incontinentie): de elementwaarde MOET zijn code '165232002' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.127
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:value
Item: (soort_incontinentie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:value"
         id="tmp-r-e6ff693c-1d9e-4899-a041-970c6a0e264f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.127-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(soort_incontinentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
