<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.156
Name: huidletsel door incontinentie
Description: Template voor de weergave van huidletsel door incontinentie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000">
   <title>huidletsel door incontinentie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.156
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]
Item: (huidletsel_door_incontinentie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]"
         id="tmp-r-440c6c4a-dd4a-4b25-9a3b-e2343b5072c8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/@nullFlavor)">(huidletsel_door_incontinentie): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']])&lt;=1">(huidletsel_door_incontinentie): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.156
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']]
Item: (huidletsel_door_incontinentie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']]"
         id="tmp-r-a2672e72-b1af-4df2-b636-81c49f152d8d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(huidletsel_door_incontinentie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(huidletsel_door_incontinentie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(huidletsel_door_incontinentie): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(hl7:entryRelationship)=0">(huidletsel_door_incontinentie): Als er géén huidletsel door incontinentie aanwezig is (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value">(huidletsel_door_incontinentie): Als er géén huidletsel door incontinentie aanwezig is (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']/@nullFlavor)">(huidletsel_door_incontinentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156'])&lt;=1">(huidletsel_door_incontinentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="count(hl7:code[(@code='402276007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='402276007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(huidletsel_door_incontinentie): element hl7:code[(@code='402276007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="count(hl7:code[(@code='402276007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(huidletsel_door_incontinentie): element hl7:code[(@code='402276007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.157']]])&lt;=1">(huidletsel_door_incontinentie): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.157']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]])&lt;=1">(huidletsel_door_incontinentie): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']]])&lt;=1">(huidletsel_door_incontinentie): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.156
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']
Item: (huidletsel_door_incontinentie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']"
         id="tmp-r-2e2a53be-5558-4803-9bd3-6c8ad5aec11f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(huidletsel_door_incontinentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.156'">(huidletsel_door_incontinentie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.156' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.156
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:code[(@code='402276007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (huidletsel_door_incontinentie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:code[(@code='402276007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-3ee10e32-274f-45e0-a7a4-a2b4e54bab04">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(huidletsel_door_incontinentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="@nullFlavor or (@code='402276007' and @codeSystem='2.16.840.1.113883.6.96')">(huidletsel_door_incontinentie): de elementwaarde MOET zijn code '402276007' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.156
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.157']]]
Item: (huidletsel_door_incontinentie)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.157']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(huidletsel_door_incontinentie): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.156
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]]
Item: (huidletsel_door_incontinentie)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(huidletsel_door_incontinentie): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.156
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']]]
Item: (huidletsel_door_incontinentie)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(huidletsel_door_incontinentie): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']]])&lt;=1">(huidletsel_door_incontinentie): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.156
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']]]
Item: (huidletsel_door_incontinentie)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.156']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.156-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(huidletsel_door_incontinentie): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
