<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.159
Name: preventie – huidletsel
Description: Template voor de weergave van preventie – huidletsel
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.159-2012-05-03T000000">
   <title>preventie – huidletsel</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.159
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]
Item: (preventie_huidletsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]"
         id="tmp-r-eb36f57e-c5fb-4c97-bd9d-b22b6293accc">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.159-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']])&gt;=1 and not(hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/@nullFlavor)">(preventie_huidletsel): element hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.159-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']])&lt;=1">(preventie_huidletsel): element hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.159
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']]
Item: (preventie_huidletsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']]"
         id="tmp-r-a2b00253-d693-4690-b041-2eef228a2b99">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.159-2012-05-03T000000.html"
              test="string(@classCode)='PROC'">(preventie_huidletsel): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.159-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(preventie_huidletsel): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.159-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']/@nullFlavor)">(preventie_huidletsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.159-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159'])&lt;=1">(preventie_huidletsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.159-2012-05-03T000000.html"
              test="count(hl7:code[(@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(preventie_huidletsel): element hl7:code[(@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.159-2012-05-03T000000.html"
              test="count(hl7:code[(@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(preventie_huidletsel): element hl7:code[(@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.159
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']
Item: (preventie_huidletsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']"
         id="tmp-r-227542ee-2e68-4ed1-a110-d4743e6412d5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.159-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(preventie_huidletsel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.159-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.159'">(preventie_huidletsel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.159' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.159
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:code[(@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (preventie_huidletsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:code[(@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-9ef83eab-5014-4586-b345-5c39851d05c0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.159-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(preventie_huidletsel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.159-2012-05-03T000000.html"
              test="@nullFlavor or (@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')">(preventie_huidletsel): de elementwaarde MOET zijn code '169443000' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
</pattern>
