<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Name: prognose
Description: Template voor de weergave van entryRelationship prognose
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000">
   <title>prognose</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]
Item: (entryRelationship_prognose)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]"
         id="tmp-r-0c2772ae-617b-4e61-8acb-d5e38e1085a2">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/@nullFlavor)">(entryRelationship_prognose): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']])&lt;=1">(entryRelationship_prognose): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']]
Item: (entryRelationship_prognose)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']]"
         id="tmp-r-7d3ab403-e399-48be-91a7-cd05c5e50728">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_prognose): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_prognose): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']/@nullFlavor)">(entryRelationship_prognose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16'])&lt;=1">(entryRelationship_prognose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:code[(@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_prognose): element hl7:code[(@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:code[(@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_prognose): element hl7:code[(@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_prognose): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_prognose): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']
Item: (entryRelationship_prognose)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']"
         id="tmp-r-bbea465f-8397-440c-a1ee-dc64f119c8fa">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_prognose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.16'">(entryRelationship_prognose): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.16' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:code[(@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_prognose)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:code[(@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-0914253c-91bc-462a-b985-9e80195e64c2">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_prognose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="@nullFlavor or (@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_prognose): de elementwaarde MOET zijn code '365858006' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:value
Item: (entryRelationship_prognose)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:value"
         id="tmp-r-030899de-1ec3-4483-a46b-0f73f50e0f92">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_prognose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
