<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Name: behandelplan - huidletsel
Description: Template voor de weergave van behandelplan - huidletsel
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000">
   <title>behandelplan - huidletsel</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]
Item: (behandelplan_huidletsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]"
         id="tmp-r-664434a4-46ee-4231-80a5-b336317c3365">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']])&gt;=1 and not(hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/@nullFlavor)">(behandelplan_huidletsel): element hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']])&lt;=1">(behandelplan_huidletsel): element hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']]
Item: (behandelplan_huidletsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']]"
         id="tmp-r-b265b8d8-1b4a-4653-af30-f26558057514">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="string(@classCode)='PROC'">(behandelplan_huidletsel): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(behandelplan_huidletsel): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']/@nullFlavor)">(behandelplan_huidletsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160'])&lt;=1">(behandelplan_huidletsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:code[(@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(behandelplan_huidletsel): element hl7:code[(@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:code[(@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(behandelplan_huidletsel): element hl7:code[(@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']
Item: (behandelplan_huidletsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']"
         id="tmp-r-1f30b22c-c769-47df-8931-612b376fb7fc">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(behandelplan_huidletsel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.160'">(behandelplan_huidletsel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.160' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:code[(@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (behandelplan_huidletsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:code[(@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-911cab4b-e4f1-4c1c-9ae9-e0c7eb627816">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(behandelplan_huidletsel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="@nullFlavor or (@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')">(behandelplan_huidletsel): de elementwaarde MOET zijn code '183001000' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
</pattern>
