<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.165
Name: locatie - overige huidaandoeningen
Description: Template voor de weergave van locatie - overige huidaandoeningen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000">
   <title>locatie - overige huidaandoeningen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.165
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]
Item: (locatie_overige_huidaandoeningen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]"
         id="tmp-r-5201536b-55e4-413e-be81-14f9728fb0b4">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/@nullFlavor)">(locatie_overige_huidaandoeningen): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']])&lt;=1">(locatie_overige_huidaandoeningen): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.165
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']]
Item: (locatie_overige_huidaandoeningen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']]"
         id="tmp-r-f59eb0f5-530a-435f-9b2b-be91963d17e2">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(locatie_overige_huidaandoeningen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(locatie_overige_huidaandoeningen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']/@nullFlavor)">(locatie_overige_huidaandoeningen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165'])&lt;=1">(locatie_overige_huidaandoeningen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000.html"
              test="count(hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(locatie_overige_huidaandoeningen): element hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000.html"
              test="count(hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(locatie_overige_huidaandoeningen): element hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(locatie_overige_huidaandoeningen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(locatie_overige_huidaandoeningen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.165
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']
Item: (locatie_overige_huidaandoeningen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']"
         id="tmp-r-b826236d-41ff-42c7-ba9f-f03be71464df">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(locatie_overige_huidaandoeningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.165'">(locatie_overige_huidaandoeningen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.165' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.165
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (locatie_overige_huidaandoeningen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-f620dbb3-4955-43ea-a8f8-acc3927c6a4a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(locatie_overige_huidaandoeningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000.html"
              test="@nullFlavor or (@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')">(locatie_overige_huidaandoeningen): de elementwaarde MOET zijn code '363698007' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.165
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:value
Item: (locatie_overige_huidaandoeningen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:value"
         id="tmp-r-f1e5ecb9-99a0-4b7e-b05d-e5005ef2cba1">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.165-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(locatie_overige_huidaandoeningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
