<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.171
Name: slaapcyclus
Description: Slaapcyclus
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000">
   <title>slaapcyclus</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.171
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]
Item: (slaapcyclus)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]"
         id="tmp-r-fc917e90-7108-487d-906d-0ca21f21244f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/@nullFlavor)">(slaapcyclus): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']])&lt;=1">(slaapcyclus): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.171
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']]
Item: (slaapcyclus)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']]"
         id="tmp-r-ac3d3d73-aea8-4bbb-bfab-2fc6bfc9cace">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']/@nullFlavor)">(slaapcyclus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171'])&lt;=1">(slaapcyclus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000.html"
              test="count(hl7:code[(@code='b1344' and @codeSystem='2.16.840.1.113883.6.254')])&gt;=1 and not(hl7:code[(@code='b1344' and @codeSystem='2.16.840.1.113883.6.254')]/@nullFlavor)">(slaapcyclus): element hl7:code[(@code='b1344' and @codeSystem='2.16.840.1.113883.6.254')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000.html"
              test="count(hl7:code[(@code='b1344' and @codeSystem='2.16.840.1.113883.6.254')])&lt;=1">(slaapcyclus): element hl7:code[(@code='b1344' and @codeSystem='2.16.840.1.113883.6.254')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(slaapcyclus): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(slaapcyclus): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.171
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']
Item: (slaapcyclus)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']"
         id="tmp-r-fef2085c-19b3-43e4-a381-bf479004517d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(slaapcyclus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.171'">(slaapcyclus): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.171' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.171
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:code[(@code='b1344' and @codeSystem='2.16.840.1.113883.6.254')]
Item: (slaapcyclus)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:code[(@code='b1344' and @codeSystem='2.16.840.1.113883.6.254')]"
         id="tmp-r-061f1f95-f349-4ef5-b5fd-6f94d7cf8323">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(slaapcyclus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000.html"
              test="@nullFlavor or (@code='b1344' and @codeSystem='2.16.840.1.113883.6.254')">(slaapcyclus): de elementwaarde MOET zijn code 'b1344' codeSystem '2.16.840.1.113883.6.254'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.171
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (slaapcyclus)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-54195806-5e0d-42fb-a5a5-dfecdcb4601b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(slaapcyclus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(slaapcyclus): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.6.254'.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.171-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(slaapcyclus): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
