<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Name: entry Sectie Pijn
Description: Template voor de weergave van entry Sectie Pijn
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000">
   <title>entry Sectie Pijn</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]
Item: (entry_Sectie_Pijn)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]"
         id="tmp-r-344bf539-8aa2-4fd6-b556-8976302a116d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/@nullFlavor)">(entry_Sectie_Pijn): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']])&lt;=1">(entry_Sectie_Pijn): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]
Item: (entry_Sectie_Pijn)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]"
         id="tmp-r-47bb9e90-1f74-4c01-94df-858d1c7e122b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entry_Sectie_Pijn): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entry_Sectie_Pijn): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entry_Sectie_Pijn): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(hl7:entryRelationship)=0">(entry_Sectie_Pijn): Als er géén bijzonderheden zijn (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value">(entry_Sectie_Pijn): Als er géén bijzonderheden zijn (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']/@nullFlavor)">(entry_Sectie_Pijn): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183'])&lt;=1">(entry_Sectie_Pijn): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:code[(@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entry_Sectie_Pijn): element hl7:code[(@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:code[(@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entry_Sectie_Pijn): element hl7:code[(@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entry_Sectie_Pijn): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']]])&lt;=1">(entry_Sectie_Pijn): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.185']]])&lt;=1">(entry_Sectie_Pijn): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.185']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.186']]])&lt;=1">(entry_Sectie_Pijn): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.186']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]])&lt;=1">(entry_Sectie_Pijn): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]])&lt;=1">(entry_Sectie_Pijn): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']
Item: (entry_Sectie_Pijn)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']"
         id="tmp-r-36f109c2-7671-44b4-b56c-778aa5d0495a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Sectie_Pijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.183'">(entry_Sectie_Pijn): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.183' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:code[(@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entry_Sectie_Pijn)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:code[(@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-56773966-b7df-4330-a73c-c97995a3cc14">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Sectie_Pijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="@nullFlavor or (@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')">(entry_Sectie_Pijn): de elementwaarde MOET zijn code '22253000' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:value
Item: (entry_Sectie_Pijn)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:value"
         id="tmp-r-92405e7d-1c1f-4d47-9610-c421396fe381">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Sectie_Pijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.22.213-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(entry_Sectie_Pijn): de elementwaarde MOET zijn Pijn (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.22.213-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(entry_Sectie_Pijn): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst Pijn (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']]]
Item: (entry_Sectie_Pijn)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entry_Sectie_Pijn): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.185']]]
Item: (entry_Sectie_Pijn)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.185']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Sectie_Pijn): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.186']]]
Item: (entry_Sectie_Pijn)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.186']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Sectie_Pijn): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]]
Item: (entry_Sectie_Pijn)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entry_Sectie_Pijn): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]]
Item: (entry_Sectie_Pijn)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entry_Sectie_Pijn): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
