<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.184
Name: locatie pijn
Description: locatie pijn
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000">
   <title>locatie pijn</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.184
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]
Item: (locatie_pijn)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]"
         id="tmp-r-448939fb-c8b0-4e14-b07b-36da07210371">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/@nullFlavor)">(locatie_pijn): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']])&lt;=1">(locatie_pijn): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.184
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']]
Item: (locatie_pijn)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']]"
         id="tmp-r-fb33275f-b367-40b8-8747-c02f85dc0635">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(locatie_pijn): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(locatie_pijn): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']/@nullFlavor)">(locatie_pijn): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184'])&lt;=1">(locatie_pijn): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000.html"
              test="count(hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(locatie_pijn): element hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000.html"
              test="count(hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(locatie_pijn): element hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(locatie_pijn): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(locatie_pijn): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.184
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']
Item: (locatie_pijn)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']"
         id="tmp-r-43249362-847a-47b6-b74b-a00894dc6ea6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(locatie_pijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.184'">(locatie_pijn): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.184' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.184
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (locatie_pijn)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-d5f24c3c-eb31-4e49-a699-9ee30e091c1f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(locatie_pijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000.html"
              test="@nullFlavor or (@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')">(locatie_pijn): de elementwaarde MOET zijn code '363698007' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.184
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:value
Item: (locatie_pijn)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:value"
         id="tmp-r-90b8499e-a35b-4a54-80cb-6b2b6f13c4ed">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.184-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(locatie_pijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
