<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.193
Name: wilsbekwaam in kader van behandelplan
Description: Template voor de weergave van wilsbekwaam in kader van behandelplan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000">
   <title>wilsbekwaam in kader van behandelplan</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.193
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]
Item: (wilsbekwaam_in_kader_van_behandelplan)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]"
         id="tmp-r-25464d21-aa9f-46db-8240-d864e0dc6e05">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/@nullFlavor)">(wilsbekwaam_in_kader_van_behandelplan): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']])&lt;=1">(wilsbekwaam_in_kader_van_behandelplan): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.193
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']]
Item: (wilsbekwaam_in_kader_van_behandelplan)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']]"
         id="tmp-r-e126366c-ccb9-4cfa-a667-cf160d3155de">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(wilsbekwaam_in_kader_van_behandelplan): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(wilsbekwaam_in_kader_van_behandelplan): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(wilsbekwaam_in_kader_van_behandelplan): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value[@nullFlavor='UNK']">(wilsbekwaam_in_kader_van_behandelplan): Als er géén bijzonderheden zijn (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']/@nullFlavor)">(wilsbekwaam_in_kader_van_behandelplan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193'])&lt;=1">(wilsbekwaam_in_kader_van_behandelplan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="count(hl7:code[(@code='32082000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='32082000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(wilsbekwaam_in_kader_van_behandelplan): element hl7:code[(@code='32082000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="count(hl7:code[(@code='32082000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(wilsbekwaam_in_kader_van_behandelplan): element hl7:code[(@code='32082000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(wilsbekwaam_in_kader_van_behandelplan): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.193
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']
Item: (wilsbekwaam_in_kader_van_behandelplan)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']"
         id="tmp-r-a32b1ccf-973d-4657-8808-d46df5837aa9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wilsbekwaam_in_kader_van_behandelplan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.193'">(wilsbekwaam_in_kader_van_behandelplan): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.193' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.193
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:code[(@code='32082000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (wilsbekwaam_in_kader_van_behandelplan)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:code[(@code='32082000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-b2b54dbd-abef-439a-8260-bc4d28f9d4d0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wilsbekwaam_in_kader_van_behandelplan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="@nullFlavor or (@code='32082000' and @codeSystem='2.16.840.1.113883.6.96')">(wilsbekwaam_in_kader_van_behandelplan): de elementwaarde MOET zijn code '32082000' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.193
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:value
Item: (wilsbekwaam_in_kader_van_behandelplan)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:value"
         id="tmp-r-0fb730e0-4068-4d64-b4b9-8074f40cef39">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.193-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wilsbekwaam_in_kader_van_behandelplan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
