<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.195
Name: middelengebruik
Description: Template voor de weergave van middelengebruik
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000">
   <title>middelengebruik</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.195
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]
Item: (middelengebruik)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]"
         id="tmp-r-c8fe0612-5278-445b-ac3a-af067c105eb8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/@nullFlavor)">(middelengebruik): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']])&lt;=1">(middelengebruik): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.195
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']]
Item: (middelengebruik)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']]"
         id="tmp-r-ff985d2a-194f-4e6b-8030-3082d45fffa8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(middelengebruik): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(middelengebruik): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']/@nullFlavor)">(middelengebruik): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195'])&lt;=1">(middelengebruik): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000.html"
              test="count(hl7:code[(@code='409069009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor])&gt;=1 ">(middelengebruik): element hl7:code[(@code='409069009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000.html"
              test="count(hl7:code[(@code='409069009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor])&lt;=1">(middelengebruik): element hl7:code[(@code='409069009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(middelengebruik): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(middelengebruik): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.195
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']
Item: (middelengebruik)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']"
         id="tmp-r-dcb77f93-48d1-4db1-be0b-9672fb4c86ae">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(middelengebruik): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.195'">(middelengebruik): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.195' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.195
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:code[(@code='409069009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor]
Item: (middelengebruik)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:code[(@code='409069009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor]"
         id="tmp-r-2d2826cb-7ac5-4918-a01b-8b0aa1a593a1">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(middelengebruik): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000.html"
              test="@nullFlavor or (@code='409069009' and @codeSystem='2.16.840.1.113883.6.96')">(middelengebruik): de elementwaarde MOET zijn code '409069009' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.195
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:value
Item: (middelengebruik)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:value"
         id="tmp-r-d025ebd9-b438-444b-9246-d8ff9762e9b3">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.195-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(middelengebruik): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
