<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Name: besproken met wettelijke vertegenwoordiger
Description: Template voor de weergave van besproken met wettelijke vertegenwoordiger
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000">
   <title>besproken met wettelijke vertegenwoordiger</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]"
         id="tmp-r-8b56940c-808a-431a-a13a-7e818b00ab76">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]"
         id="tmp-r-6e277a8a-6a91-4ed1-9a80-dc757c792ecc">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(besproken_met_wettelijke_vertegenwoordiger): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(besproken_met_wettelijke_vertegenwoordiger): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(besproken_met_wettelijke_vertegenwoordiger): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']"
         id="tmp-r-ac507d77-a010-40e1-8e31-0b405e9cdec5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(besproken_met_wettelijke_vertegenwoordiger): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.197'">(besproken_met_wettelijke_vertegenwoordiger): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.197' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-757f6b0a-0f39-4840-ac09-498b38caece7">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(besproken_met_wettelijke_vertegenwoordiger): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="@nullFlavor or (@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')">(besproken_met_wettelijke_vertegenwoordiger): de elementwaarde MOET zijn code '420165002' codeSystem '2.16.840.1.113883.6.96'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:qualifier is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:qualifier)&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:qualifier komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier"
         id="tmp-r-7379be35-896b-4a5a-9d5d-0aaebe20a72b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-fafec938-84f2-42c3-90e5-16fdb4221357">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="@nullFlavor or (@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')">(besproken_met_wettelijke_vertegenwoordiger): de elementwaarde MOET zijn code '408732007' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-066e3099-6234-4811-b359-0944af7b4f1f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="@nullFlavor or (@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')">(besproken_met_wettelijke_vertegenwoordiger): de elementwaarde MOET zijn code '58626002' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
</pattern>
