<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.211
Name: adequaatheid stemming
Description: Template voor de weergave van adequaatheid stemming
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000">
   <title>adequaatheid stemming</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.211
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]
Item: (adequaatheid_stemming)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]"
         id="tmp-r-edb5ed59-2325-4d5b-ac95-d91f919bddb0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/@nullFlavor)">(adequaatheid_stemming): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']])&lt;=1">(adequaatheid_stemming): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.211
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']]
Item: (adequaatheid_stemming)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']]"
         id="tmp-r-eba0a902-f014-418e-935f-5ec5bda10fb9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(adequaatheid_stemming): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(adequaatheid_stemming): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']/@nullFlavor)">(adequaatheid_stemming): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211'])&lt;=1">(adequaatheid_stemming): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="count(hl7:code[(@code='b1520' and @codeSystem='2.16.840.1.113883.6.254')])&gt;=1 and not(hl7:code[(@code='b1520' and @codeSystem='2.16.840.1.113883.6.254')]/@nullFlavor)">(adequaatheid_stemming): element hl7:code[(@code='b1520' and @codeSystem='2.16.840.1.113883.6.254')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="count(hl7:code[(@code='b1520' and @codeSystem='2.16.840.1.113883.6.254')])&lt;=1">(adequaatheid_stemming): element hl7:code[(@code='b1520' and @codeSystem='2.16.840.1.113883.6.254')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(adequaatheid_stemming): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(adequaatheid_stemming): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.211
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']
Item: (adequaatheid_stemming)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']"
         id="tmp-r-baac3ac9-8824-425d-9ce8-49be7f642f91">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(adequaatheid_stemming): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.211'">(adequaatheid_stemming): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.211' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.211
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:code[(@code='b1520' and @codeSystem='2.16.840.1.113883.6.254')]
Item: (adequaatheid_stemming)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:code[(@code='b1520' and @codeSystem='2.16.840.1.113883.6.254')]"
         id="tmp-r-7c368096-507b-4c67-91b4-5513464d7656">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(adequaatheid_stemming): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="@nullFlavor or (@code='b1520' and @codeSystem='2.16.840.1.113883.6.254')">(adequaatheid_stemming): de elementwaarde MOET zijn code 'b1520' codeSystem '2.16.840.1.113883.6.254'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.211
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (adequaatheid_stemming)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-c65b11c8-24c6-42b1-9331-727b9720a0a5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(adequaatheid_stemming): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(adequaatheid_stemming): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.6.254'.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.211-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(adequaatheid_stemming): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
