<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.216
Name: inhoud werkelijkheidszin denken
Description: Template voor de weergave van inhoud werkelijkheidszin denken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000">
   <title>inhoud werkelijkheidszin denken</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]
Item: (inhoud_werkelijkheidszin_denken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]"
         id="tmp-r-d85bf551-ee9e-49ff-9508-cee83cf7a52c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/@nullFlavor)">(inhoud_werkelijkheidszin_denken): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']])&lt;=1">(inhoud_werkelijkheidszin_denken): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']]
Item: (inhoud_werkelijkheidszin_denken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']]"
         id="tmp-r-f5f5481d-9990-4281-a7e6-4cd499d21729">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(inhoud_werkelijkheidszin_denken): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(inhoud_werkelijkheidszin_denken): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']/@nullFlavor)">(inhoud_werkelijkheidszin_denken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216'])&lt;=1">(inhoud_werkelijkheidszin_denken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="count(hl7:code[(@code='b1602' and @codeSystem='2.16.840.1.113883.6.254')])&gt;=1 and not(hl7:code[(@code='b1602' and @codeSystem='2.16.840.1.113883.6.254')]/@nullFlavor)">(inhoud_werkelijkheidszin_denken): element hl7:code[(@code='b1602' and @codeSystem='2.16.840.1.113883.6.254')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="count(hl7:code[(@code='b1602' and @codeSystem='2.16.840.1.113883.6.254')])&lt;=1">(inhoud_werkelijkheidszin_denken): element hl7:code[(@code='b1602' and @codeSystem='2.16.840.1.113883.6.254')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(inhoud_werkelijkheidszin_denken): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(inhoud_werkelijkheidszin_denken): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']
Item: (inhoud_werkelijkheidszin_denken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']"
         id="tmp-r-9ad4c75e-efd8-48db-b248-cc7d71d970db">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(inhoud_werkelijkheidszin_denken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.216'">(inhoud_werkelijkheidszin_denken): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.216' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:code[(@code='b1602' and @codeSystem='2.16.840.1.113883.6.254')]
Item: (inhoud_werkelijkheidszin_denken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:code[(@code='b1602' and @codeSystem='2.16.840.1.113883.6.254')]"
         id="tmp-r-6772c0f9-0390-4999-af37-4394f5a460cc">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(inhoud_werkelijkheidszin_denken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="@nullFlavor or (@code='b1602' and @codeSystem='2.16.840.1.113883.6.254')">(inhoud_werkelijkheidszin_denken): de elementwaarde MOET zijn code 'b1602' codeSystem '2.16.840.1.113883.6.254'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (inhoud_werkelijkheidszin_denken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-de216470-97dd-4f27-90e6-98720afff2fa">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(inhoud_werkelijkheidszin_denken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(inhoud_werkelijkheidszin_denken): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.6.254'.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.216-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(inhoud_werkelijkheidszin_denken): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
