<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Name: bron bewering allergie
Description: Template voor de weergave van Bron bewering allergie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000">
   <title>bron bewering allergie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]
Item: (Bron_bewering_allergie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]"
         id="tmp-r-fa369506-3881-4dfb-a229-35ed937d2a38">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']/@nullFlavor)">(Bron_bewering_allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'])&lt;=1">(Bron_bewering_allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(Bron_bewering_allergie): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']"
         id="tmp-r-656d2740-4e51-4248-8007-7fb4d434e747">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.22'">(Bron_bewering_allergie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.22' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity"
         id="tmp-r-cb7b6b53-4908-4ae3-8da1-d646406da06e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(Bron_bewering_allergie): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:id
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:id"
         id="tmp-r-e5e809b3-a7cf-43a8-8d8d-9bfee70619cb">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-fd28063b-890a-4e23-9338-a381f33271fa">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(Bron_bewering_allergie): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:name)&lt;=1">(Bron_bewering_allergie): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-d01c2086-a27a-48ea-9a7c-5ad72055a195">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:given[not(@qualifier='IN')])&lt;=1">(Bron_bewering_allergie): element hl7:given[not(@qualifier='IN')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:given[@qualifier='IN'])&lt;=1">(Bron_bewering_allergie): element hl7:given[@qualifier='IN'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)">(Bron_bewering_allergie): element hl7:family is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:family)&lt;=1">(Bron_bewering_allergie): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:given[not(@qualifier='IN')]
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:given[not(@qualifier='IN')]"
         id="tmp-r-419cc05d-0ca7-4b5a-9e05-968dc55be930">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="string(@qualifier)='BR' or not(@qualifier)">(Bron_bewering_allergie): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:given[@qualifier='IN']
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:given[@qualifier='IN']"
         id="tmp-r-fe747870-aa3b-476d-af01-a342631dee0f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="string(@qualifier)='IN' or not(@qualifier)">(Bron_bewering_allergie): de waarde van @qualifier MOET 'IN' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:family
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:family"
         id="tmp-r-83863860-d9bf-4c2d-9068-c151fe6e512d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:family)&lt;=1">(Bron_bewering_allergie): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:family/hl7:family
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:family/hl7:family"
         id="tmp-r-4aafd043-73f2-4838-95eb-907f4987e8f8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="string(@qualifier)='BR' or string(@qualifier)='SP' or not(@qualifier)">(Bron_bewering_allergie): de waarde van @qualifier MOET één van de volgende codes bevatten: BR', 'SP.</assert>
   </rule>
</pattern>
