<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Name: infectierisico
Description: Template voor de weergave van entryRelationship infectierisico
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000">
   <title>infectierisico</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]
Item: (entryRelationship_infectierisico)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]"
         id="tmp-r-9e1e7aee-67e5-4b36-b55c-7ebaefd85689">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/@nullFlavor)">(entryRelationship_infectierisico): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']])&lt;=1">(entryRelationship_infectierisico): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']]
Item: (entryRelationship_infectierisico)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']]"
         id="tmp-r-d964a1ad-698e-4dda-8659-ff0b3e4d00b6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_infectierisico): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_infectierisico): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entryRelationship_infectierisico): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="not(@negationInd='true') or count(hl7:entryRelationship)=0">(entryRelationship_infectierisico): Als er géén infectierisico is (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="not(@negationInd='true') or hl7:value">(entryRelationship_infectierisico): Als er géén infectierisico is (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']/@nullFlavor)">(entryRelationship_infectierisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23'])&lt;=1">(entryRelationship_infectierisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="count(hl7:code[(@code='66598005' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='66598005' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_infectierisico): element hl7:code[(@code='66598005' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="count(hl7:code[(@code='66598005' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_infectierisico): element hl7:code[(@code='66598005' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]])&lt;=1">(entryRelationship_infectierisico): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']
Item: (entryRelationship_infectierisico)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']"
         id="tmp-r-2bc9f2c3-d513-4d1c-ba4c-a1f853ae4058">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_infectierisico): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.23'">(entryRelationship_infectierisico): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.23' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:code[(@code='66598005' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_infectierisico)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:code[(@code='66598005' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-e85aab6d-7f1e-4bb5-be18-fb0a13348418">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_infectierisico): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="@nullFlavor or (@code='66598005' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_infectierisico): de elementwaarde MOET zijn code '66598005' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]]
Item: (entryRelationship_infectierisico)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2014-08-20T000000.html"
              test="string(@typeCode)='REFR'">(entryRelationship_infectierisico): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
