<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.239
Name: levens overtuiging
Description: Template voor de weergave van wilsverklaring waar te vinden
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000">
   <title>levens overtuiging</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.239
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]
Item: (wilsverklaring_waar_te_vinden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]"
         id="tmp-r-38e66a5e-b101-4f4b-99c7-9d33edfbce75">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/@nullFlavor)">(wilsverklaring_waar_te_vinden): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']])&lt;=1">(wilsverklaring_waar_te_vinden): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.239
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]
Item: (wilsverklaring_waar_te_vinden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]"
         id="tmp-r-1f69f4cf-3126-4e82-a553-4c8a7d48f364">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(wilsverklaring_waar_te_vinden): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(wilsverklaring_waar_te_vinden): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']/@nullFlavor)">(wilsverklaring_waar_te_vinden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239'])&lt;=1">(wilsverklaring_waar_te_vinden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000.html"
              test="count(hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(wilsverklaring_waar_te_vinden): element hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000.html"
              test="count(hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(wilsverklaring_waar_te_vinden): element hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(wilsverklaring_waar_te_vinden): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(wilsverklaring_waar_te_vinden): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.239
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']
Item: (wilsverklaring_waar_te_vinden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']"
         id="tmp-r-2657e0c8-0005-4240-be00-5a1fafcb59d6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wilsverklaring_waar_te_vinden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.239'">(wilsverklaring_waar_te_vinden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.239' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.239
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (wilsverklaring_waar_te_vinden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:code[(@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-06931afc-8257-4ffa-a62b-47d7313a5c8e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wilsverklaring_waar_te_vinden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000.html"
              test="@nullFlavor or (@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')">(wilsverklaring_waar_te_vinden): de elementwaarde MOET zijn code '363698007' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.239
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:value
Item: (wilsverklaring_waar_te_vinden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:value"
         id="tmp-r-329daf74-11bc-4a2b-9bd6-1a9eac171931">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.239-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wilsverklaring_waar_te_vinden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
