<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.240
Name: geregistreerd als donor
Description: Template voor de weergave van geregistreerd als donor
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000">
   <title>geregistreerd als donor</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.240
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]
Item: (geregistreerd_als_donor)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]"
         id="tmp-r-4e72d95d-7515-43c3-9f8d-85544a8b7921">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/@nullFlavor)">(geregistreerd_als_donor): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']])&lt;=1">(geregistreerd_als_donor): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.240
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']]
Item: (geregistreerd_als_donor)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']]"
         id="tmp-r-a55ace6f-dc50-428a-9359-d53cd678993f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(geregistreerd_als_donor): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(geregistreerd_als_donor): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(geregistreerd_als_donor): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']/@nullFlavor)">(geregistreerd_als_donor): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240'])&lt;=1">(geregistreerd_als_donor): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="count(hl7:code[(@code='443564001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='443564001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(geregistreerd_als_donor): element hl7:code[(@code='443564001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="count(hl7:code[(@code='443564001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(geregistreerd_als_donor): element hl7:code[(@code='443564001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.240
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']
Item: (geregistreerd_als_donor)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']"
         id="tmp-r-8bdd91e1-8831-4f9a-8492-fd8168ebabf9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(geregistreerd_als_donor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.240'">(geregistreerd_als_donor): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.240' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.240
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:code[(@code='443564001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (geregistreerd_als_donor)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:code[(@code='443564001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-6c9a6063-c713-4cf3-bc49-1d4d201bebd0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(geregistreerd_als_donor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.240-2012-05-03T000000.html"
              test="@nullFlavor or (@code='443564001' and @codeSystem='2.16.840.1.113883.6.96')">(geregistreerd_als_donor): de elementwaarde MOET zijn code '443564001' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
</pattern>
