<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.245
Name: hobby
Description: Template voor de weergave van hobby
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000">
   <title>hobby</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.245
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]
Item: (hobby)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]"
         id="tmp-r-91d8d4cb-1559-46c8-a88c-279b0ce7da34">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/@nullFlavor)">(hobby): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']])&lt;=1">(hobby): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.245
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']]
Item: (hobby)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']]"
         id="tmp-r-1bd1c500-69a8-47c2-a68f-f35d87cc9b84">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(hobby): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(hobby): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']/@nullFlavor)">(hobby): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245'])&lt;=1">(hobby): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000.html"
              test="count(hl7:code[(@code='405081003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='405081003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(hobby): element hl7:code[(@code='405081003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000.html"
              test="count(hl7:code[(@code='405081003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(hobby): element hl7:code[(@code='405081003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(hobby): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(hobby): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.245
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']
Item: (hobby)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']"
         id="tmp-r-7bbc2376-ab50-4cb4-ae12-64a8e8b4c970">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hobby): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.245'">(hobby): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.245' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.245
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:code[(@code='405081003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (hobby)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:code[(@code='405081003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-47d94fbb-98a4-4a61-9d3f-29dcdac2524e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hobby): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000.html"
              test="@nullFlavor or (@code='405081003' and @codeSystem='2.16.840.1.113883.6.96')">(hobby): de elementwaarde MOET zijn code '405081003' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.245
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:value
Item: (hobby)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:value"
         id="tmp-r-d21f239a-c4c8-4a5d-a34c-8ab5dc4d789c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.245-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hobby): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
