<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Name: sociaal netwerk
Description: Template voor de weergave van sociaal netwerk
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000">
   <title>sociaal netwerk</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]
Item: (sociaal_netwerk)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]"
         id="tmp-r-6bfb694c-30aa-48dc-a37f-796153118c8a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/@nullFlavor)">(sociaal_netwerk): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']])&lt;=1">(sociaal_netwerk): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']]
Item: (sociaal_netwerk)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']]"
         id="tmp-r-65716f68-ae79-4382-9c6d-3038f26a0974">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(sociaal_netwerk): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(sociaal_netwerk): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']/@nullFlavor)">(sociaal_netwerk): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246'])&lt;=1">(sociaal_netwerk): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:code[(@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(sociaal_netwerk): element hl7:code[(@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:code[(@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(sociaal_netwerk): element hl7:code[(@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(sociaal_netwerk): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(sociaal_netwerk): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']
Item: (sociaal_netwerk)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']"
         id="tmp-r-234b2a39-14f9-444a-8246-a21c80a91aee">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(sociaal_netwerk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.246'">(sociaal_netwerk): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.246' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:code[(@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (sociaal_netwerk)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:code[(@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-49ad919c-2035-40b5-8b47-a7bb230f2bf3">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(sociaal_netwerk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="@nullFlavor or (@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')">(sociaal_netwerk): de elementwaarde MOET zijn code '108329005' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:value
Item: (sociaal_netwerk)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:value"
         id="tmp-r-79becbc2-2abf-4d4a-80a9-a21fe4790f45">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(sociaal_netwerk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
