<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.252
Name: frequentie mantelzorg
Description: Template voor de weergave van frequentie mantelzorg
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000">
   <title>frequentie mantelzorg</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.252
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]
Item: (frequentie_mantelzorg)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]"
         id="tmp-r-fafc03ef-2859-4e6c-b8fd-0869daacf800">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/@nullFlavor)">(frequentie_mantelzorg): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']])&lt;=1">(frequentie_mantelzorg): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.252
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']]
Item: (frequentie_mantelzorg)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']]"
         id="tmp-r-80c2c4af-383a-4940-bb56-97d7d31c464b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(frequentie_mantelzorg): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(frequentie_mantelzorg): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']/@nullFlavor)">(frequentie_mantelzorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252'])&lt;=1">(frequentie_mantelzorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000.html"
              test="count(hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(frequentie_mantelzorg): element hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000.html"
              test="count(hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(frequentie_mantelzorg): element hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(frequentie_mantelzorg): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(frequentie_mantelzorg): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.252
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']
Item: (frequentie_mantelzorg)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']"
         id="tmp-r-3e44eecc-9a2c-4b8c-a216-655741e99871">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(frequentie_mantelzorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.252'">(frequentie_mantelzorg): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.252' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.252
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (frequentie_mantelzorg)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-024acc82-435a-4d17-b280-aaba558070bc">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(frequentie_mantelzorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000.html"
              test="@nullFlavor or (@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')">(frequentie_mantelzorg): de elementwaarde MOET zijn code '260866001' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.252
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:value
Item: (frequentie_mantelzorg)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:value"
         id="tmp-r-33d2b3b1-481e-4f7d-9aa2-869ab3eb3882">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.252-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(frequentie_mantelzorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
