<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Name: frequentie professionele hulp
Description: Template voor de weergave van frequentie professionele hulp
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000">
   <title>frequentie professionele hulp</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]
Item: (frequentie_professionele_hulp)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]"
         id="tmp-r-98458b00-9ba6-44a0-978a-f5f471427fd6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/@nullFlavor)">(frequentie_professionele_hulp): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']])&lt;=1">(frequentie_professionele_hulp): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']]
Item: (frequentie_professionele_hulp)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']]"
         id="tmp-r-0d6fb897-f885-4606-863b-c2e0f2af904a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(frequentie_professionele_hulp): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(frequentie_professionele_hulp): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']/@nullFlavor)">(frequentie_professionele_hulp): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254'])&lt;=1">(frequentie_professionele_hulp): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(frequentie_professionele_hulp): element hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(frequentie_professionele_hulp): element hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(frequentie_professionele_hulp): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(frequentie_professionele_hulp): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']
Item: (frequentie_professionele_hulp)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']"
         id="tmp-r-f5efdf68-5b32-4e40-879e-44f3df02c60f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(frequentie_professionele_hulp): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.254'">(frequentie_professionele_hulp): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.254' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (frequentie_professionele_hulp)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-85612f35-aa14-4f83-b1c6-cee5aa62671c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(frequentie_professionele_hulp): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="@nullFlavor or (@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')">(frequentie_professionele_hulp): de elementwaarde MOET zijn code '260866001' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:value
Item: (frequentie_professionele_hulp)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:value"
         id="tmp-r-798552e0-e24d-4548-abf0-297aa4e1fa23">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(frequentie_professionele_hulp): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
