<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Name: mede behandelaars
Description: Template: entryRelationship mede behandelaars
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000">
   <title>mede behandelaars</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]
Item: (entryRelationship_mede_behandelaars)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]"
         id="tmp-r-da8b1567-9619-43c8-b7c4-d83eb15bbe5c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/@nullFlavor)">(entryRelationship_mede_behandelaars): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']])&lt;=1">(entryRelationship_mede_behandelaars): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']]
Item: (entryRelationship_mede_behandelaars)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']]"
         id="tmp-r-528791e5-4fe3-4ab7-89f9-23ddec75dca2">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_mede_behandelaars): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_mede_behandelaars): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entryRelationship_mede_behandelaars): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(hl7:entryRelationship)=0">(entryRelationship_mede_behandelaars): Als er géén mede behandelaars zijn (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value">(entryRelationship_mede_behandelaars): Als er géén mede behandelaars zijn (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']/@nullFlavor)">(entryRelationship_mede_behandelaars): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36'])&lt;=1">(entryRelationship_mede_behandelaars): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="count(hl7:code[(@code='308930007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='308930007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_mede_behandelaars): element hl7:code[(@code='308930007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="count(hl7:code[(@code='308930007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_mede_behandelaars): element hl7:code[(@code='308930007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']
Item: (entryRelationship_mede_behandelaars)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']"
         id="tmp-r-19035ea3-ceb5-4b04-a954-ebe2831d9a27">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_mede_behandelaars): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.36'">(entryRelationship_mede_behandelaars): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.36' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:code[(@code='308930007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_mede_behandelaars)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:code[(@code='308930007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-e9fc9a08-4a6c-44ed-b7fc-8be625dcafa0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_mede_behandelaars): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="@nullFlavor or (@code='308930007' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_mede_behandelaars): de elementwaarde MOET zijn code '308930007' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']]]
Item: (entryRelationship_mede_behandelaars)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entryRelationship_mede_behandelaars): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
