<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Name: voortbewegen hulpmiddelen
Description: Template voor de weergave van voortbewegen hulpmiddelen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000">
   <title>voortbewegen hulpmiddelen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]"
         id="tmp-r-74795889-9e39-48df-b705-f9ed4eaaefbd">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']])&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]"
         id="tmp-r-7735f409-b6e4-406a-86ac-8a0d015df698">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="string(@classCode)='SPLY'">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van @classCode MOET 'SPLY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57'])&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:code[(@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:code[(@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:code[(@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:code[(@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:statusCode)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:product is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:product)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:product komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']"
         id="tmp-r-4978dde2-0116-4a77-af09-b0da6363269b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_voortbewegen_hulpmiddelen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.57'">(entryRelationship_voortbewegen_hulpmiddelen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.57' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:code[(@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:code[(@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-3130afdc-e58f-49de-8dd6-e02d22d05717">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_voortbewegen_hulpmiddelen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="@nullFlavor or (@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_voortbewegen_hulpmiddelen): de elementwaarde MOET zijn code '183135000' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:statusCode
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:statusCode"
         id="tmp-r-302f10be-ad3b-490f-9a7f-66486a6bb110">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_voortbewegen_hulpmiddelen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="@nullFlavor or (@code='completed')">(entryRelationship_voortbewegen_hulpmiddelen): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:product
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:product"
         id="tmp-r-3dc58374-a831-4b96-8da8-65f7a3eac097">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedProduct is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:product/hl7:manufacturedProduct
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:product/hl7:manufacturedProduct"
         id="tmp-r-5e3195d2-3b3d-4433-914e-fdf1a952f3a6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="string(@classCode)='MANU'">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van @classCode MOET 'MANU' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedMaterial is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedMaterial komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-r-4f8fca20-3f48-4d3f-b9f2-71c337e53381">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="string(@classCode)='MMAT'">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:name)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:name
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->
</pattern>
