<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.58
Name: transfer
Description: Template voor de weergave van transfer
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000">
   <title>transfer</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.58
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]
Item: (entryRelationship_transfer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]"
         id="tmp-r-ce3296d2-7aef-4a9c-9717-59e94a3e5e23">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/@nullFlavor)">(entryRelationship_transfer): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']])&lt;=1">(entryRelationship_transfer): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.58
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']]
Item: (entryRelationship_transfer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']]"
         id="tmp-r-7468ef09-da9c-47a1-80f3-64694032ba2e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_transfer): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_transfer): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']/@nullFlavor)">(entryRelationship_transfer): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58'])&lt;=1">(entryRelationship_transfer): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:code[(@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_transfer): element hl7:code[(@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:code[(@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_transfer): element hl7:code[(@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.59']]])&lt;=1">(entryRelationship_transfer): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.59']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.60']]])&lt;=1">(entryRelationship_transfer): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.60']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.58
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']
Item: (entryRelationship_transfer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']"
         id="tmp-r-704a3dc4-69e2-4ad1-af19-04295aaf6381">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_transfer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.58'">(entryRelationship_transfer): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.58' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.58
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:code[(@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_transfer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:code[(@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-f4db6e4c-a1d3-43c4-8c88-de7af6e7086e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_transfer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="@nullFlavor or (@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_transfer): de elementwaarde MOET zijn code '364666007' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.58
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.59']]]
Item: (entryRelationship_transfer)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.59']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entryRelationship_transfer): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.58
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.60']]]
Item: (entryRelationship_transfer)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.60']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entryRelationship_transfer): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
