<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.66
Name: component houding handhaven
Description: Template voor de weergave van component houding handhaven
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000">
   <title>component houding handhaven</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.66
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']]
Item: (component_houding_handhaven)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']]"
         id="tmp-r-4c664e6b-9c35-4cb7-88d4-dd9e58e74b7f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/@nullFlavor)">(component_houding_handhaven): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']])&lt;=1">(component_houding_handhaven): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.66
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]
Item: (component_houding_handhaven)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]"
         id="tmp-r-b7ab75ca-3d42-4c91-bd32-9d9191dff831">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(component_houding_handhaven): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(component_houding_handhaven): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']/@nullFlavor)">(component_houding_handhaven): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66'])&lt;=1">(component_houding_handhaven): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="count(hl7:code[(@code='249868004' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='249868004' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(component_houding_handhaven): element hl7:code[(@code='249868004' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="count(hl7:code[(@code='249868004' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(component_houding_handhaven): element hl7:code[(@code='249868004' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']]])&lt;=1">(component_houding_handhaven): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']]])&lt;=1">(component_houding_handhaven): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.66
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']
Item: (component_houding_handhaven)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']"
         id="tmp-r-a9ab0339-deb6-4b65-8e01-2658615b1ffb">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(component_houding_handhaven): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.66'">(component_houding_handhaven): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.66' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.66
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:code[(@code='249868004' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (component_houding_handhaven)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:code[(@code='249868004' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-b236fda2-82f9-4f7c-a6cb-abea169645df">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(component_houding_handhaven): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="@nullFlavor or (@code='249868004' and @codeSystem='2.16.840.1.113883.6.96')">(component_houding_handhaven): de elementwaarde MOET zijn code '249868004' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.66
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']]]
Item: (component_houding_handhaven)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(component_houding_handhaven): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.66
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']]]
Item: (component_houding_handhaven)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(component_houding_handhaven): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']]])&lt;=1">(component_houding_handhaven): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.66
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']]]
Item: (component_houding_handhaven)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.66-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(component_houding_handhaven): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
