<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Name: handhaven van liggende houding
Description: Template voor de weergave van handhaven van liggende houding
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000">
   <title>handhaven van liggende houding</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]
Item: (entryRelationship_handhaven_van_liggende_houding)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]"
         id="tmp-r-cbb86cc7-8715-4777-a6c5-5939f8284502">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/@nullFlavor)">(entryRelationship_handhaven_van_liggende_houding): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']])&lt;=1">(entryRelationship_handhaven_van_liggende_houding): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']]
Item: (entryRelationship_handhaven_van_liggende_houding)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']]"
         id="tmp-r-09e2e067-3e40-4908-a777-f370f2e544e4">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_handhaven_van_liggende_houding): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_handhaven_van_liggende_houding): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']/@nullFlavor)">(entryRelationship_handhaven_van_liggende_houding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67'])&lt;=1">(entryRelationship_handhaven_van_liggende_houding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')])&gt;=1 and not(hl7:code[(@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')]/@nullFlavor)">(entryRelationship_handhaven_van_liggende_houding): element hl7:code[(@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')])&lt;=1">(entryRelationship_handhaven_van_liggende_houding): element hl7:code[(@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(entryRelationship_handhaven_van_liggende_houding): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(entryRelationship_handhaven_van_liggende_houding): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']
Item: (entryRelationship_handhaven_van_liggende_houding)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']"
         id="tmp-r-4246744a-709c-4b19-8107-81fc3766f884">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_handhaven_van_liggende_houding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.67'">(entryRelationship_handhaven_van_liggende_houding): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.67' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:code[(@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')]
Item: (entryRelationship_handhaven_van_liggende_houding)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:code[(@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')]"
         id="tmp-r-4649dfb4-5dad-4192-9c66-8878da173fb0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_handhaven_van_liggende_houding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="@nullFlavor or (@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_handhaven_van_liggende_houding): de elementwaarde MOET zijn code 'd4150' codeSystem '2.16.840.1.113883.6.254'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (entryRelationship_handhaven_van_liggende_houding)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-0c419bf2-dc67-4efb-83ef-1808a7f03f81">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_handhaven_van_liggende_houding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_handhaven_van_liggende_houding): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.6.254'.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_handhaven_van_liggende_houding): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
