<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.68
Name: handhaven van zit
Description: Template voor de weergave van handhaven van zit
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000">
   <title>handhaven van zit</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.68
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]
Item: (entryRelationship_houding_handhaven_van_zit)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]"
         id="tmp-r-6f82de7c-08bf-48fb-ac85-936635553be5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/@nullFlavor)">(entryRelationship_houding_handhaven_van_zit): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']])&lt;=1">(entryRelationship_houding_handhaven_van_zit): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.68
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']]
Item: (entryRelationship_houding_handhaven_van_zit)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']]"
         id="tmp-r-0015f0f6-15b0-4126-9418-c5225634f6a8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_houding_handhaven_van_zit): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_houding_handhaven_van_zit): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']/@nullFlavor)">(entryRelationship_houding_handhaven_van_zit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68'])&lt;=1">(entryRelationship_houding_handhaven_van_zit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d4153' and @codeSystem='2.16.840.1.113883.6.254')])&gt;=1 and not(hl7:code[(@code='d4153' and @codeSystem='2.16.840.1.113883.6.254')]/@nullFlavor)">(entryRelationship_houding_handhaven_van_zit): element hl7:code[(@code='d4153' and @codeSystem='2.16.840.1.113883.6.254')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d4153' and @codeSystem='2.16.840.1.113883.6.254')])&lt;=1">(entryRelationship_houding_handhaven_van_zit): element hl7:code[(@code='d4153' and @codeSystem='2.16.840.1.113883.6.254')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(entryRelationship_houding_handhaven_van_zit): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(entryRelationship_houding_handhaven_van_zit): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.68
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']
Item: (entryRelationship_houding_handhaven_van_zit)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']"
         id="tmp-r-b1daaac8-a052-4f35-b14a-b92788070df0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_handhaven_van_zit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.68'">(entryRelationship_houding_handhaven_van_zit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.68' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.68
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:code[(@code='d4153' and @codeSystem='2.16.840.1.113883.6.254')]
Item: (entryRelationship_houding_handhaven_van_zit)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:code[(@code='d4153' and @codeSystem='2.16.840.1.113883.6.254')]"
         id="tmp-r-8a350598-b708-41dd-bc4d-4a6b2ae687f6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_handhaven_van_zit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="@nullFlavor or (@code='d4153' and @codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_handhaven_van_zit): de elementwaarde MOET zijn code 'd4153' codeSystem '2.16.840.1.113883.6.254'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.68
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (entryRelationship_houding_handhaven_van_zit)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-f16da19a-6bc8-4007-9f6b-153217ff52b4">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_handhaven_van_zit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_handhaven_van_zit): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.6.254'.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.68-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_houding_handhaven_van_zit): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
