<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.7
Name: leefomgeving
Description: Template: Leefomgeving
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.7-2012-05-03T000000">
   <title>leefomgeving</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.7
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]
Item: (Residence_and_accommodation_circumstances)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]"
         id="tmp-r-ba180ce6-3365-4ef2-a7ac-130edfba630d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.7-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/@nullFlavor)">(Residence_and_accommodation_circumstances): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.7-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']])&lt;=1">(Residence_and_accommodation_circumstances): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.7
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]
Item: (Residence_and_accommodation_circumstances)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]"
         id="tmp-r-ca0d3d02-c461-4daf-8e2d-5bd7566952d4">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.7-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(Residence_and_accommodation_circumstances): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.7-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(Residence_and_accommodation_circumstances): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.7-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']/@nullFlavor)">(Residence_and_accommodation_circumstances): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.7-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7'])&lt;=1">(Residence_and_accommodation_circumstances): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.7-2012-05-03T000000.html"
              test="count(hl7:code[(@code='224209007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='224209007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Residence_and_accommodation_circumstances): element hl7:code[(@code='224209007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.7-2012-05-03T000000.html"
              test="count(hl7:code[(@code='224209007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Residence_and_accommodation_circumstances): element hl7:code[(@code='224209007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.7-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.8']]])&lt;=1">(Residence_and_accommodation_circumstances): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.8']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.7
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']
Item: (Residence_and_accommodation_circumstances)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']"
         id="tmp-r-e2bb7b5a-0f68-4b44-84ce-19f1096163d2">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.7-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residence_and_accommodation_circumstances): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.7-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.7'">(Residence_and_accommodation_circumstances): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.7' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.7
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:code[(@code='224209007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Residence_and_accommodation_circumstances)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:code[(@code='224209007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-2f3d3d6f-d830-4c07-ac9a-3c828c31c22f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.7-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residence_and_accommodation_circumstances): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.7-2012-05-03T000000.html"
              test="@nullFlavor or (@code='224209007' and @codeSystem='2.16.840.1.113883.6.96')">(Residence_and_accommodation_circumstances): de elementwaarde MOET zijn code '224209007' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.7
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.8']]]
Item: (Residence_and_accommodation_circumstances)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.8']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.7-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(Residence_and_accommodation_circumstances): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
