<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.70
Name: verhoogd valrisico
Description: Template voor de weergave van verhoogd valrisico
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000">
   <title>verhoogd valrisico</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.70
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.70']]
Item: (entryRelationship_verhoogd_valrisico)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.70']]"
         id="tmp-r-0a5c13e0-c6b3-4f60-8503-26513d5b4acc">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/@nullFlavor)">(entryRelationship_verhoogd_valrisico): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']])&lt;=1">(entryRelationship_verhoogd_valrisico): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.70
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']]
Item: (entryRelationship_verhoogd_valrisico)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']]"
         id="tmp-r-44868090-50e0-4b4d-aa19-c825a02209bd">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_verhoogd_valrisico): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_verhoogd_valrisico): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']/@nullFlavor)">(entryRelationship_verhoogd_valrisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70'])&lt;=1">(entryRelationship_verhoogd_valrisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="count(hl7:code[(@code='129839007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='129839007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_verhoogd_valrisico): element hl7:code[(@code='129839007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="count(hl7:code[(@code='129839007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_verhoogd_valrisico): element hl7:code[(@code='129839007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']]]/@nullFlavor)">(entryRelationship_verhoogd_valrisico): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']]])&lt;=1">(entryRelationship_verhoogd_valrisico): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.72']]])&lt;=1">(entryRelationship_verhoogd_valrisico): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.72']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]])&lt;=1">(entryRelationship_verhoogd_valrisico): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.70
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']
Item: (entryRelationship_verhoogd_valrisico)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']"
         id="tmp-r-86ff979d-ac45-4d74-a075-5ac2320d4320">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_verhoogd_valrisico): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.70'">(entryRelationship_verhoogd_valrisico): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.70' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.70
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:code[(@code='129839007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_verhoogd_valrisico)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:code[(@code='129839007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-b251cee4-64b6-462e-a22e-e76d709bcb58">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_verhoogd_valrisico): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="@nullFlavor or (@code='129839007' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_verhoogd_valrisico): de elementwaarde MOET zijn code '129839007' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.70
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']]]
Item: (entryRelationship_verhoogd_valrisico)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entryRelationship_verhoogd_valrisico): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.70
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.72']]]
Item: (entryRelationship_verhoogd_valrisico)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.72']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entryRelationship_verhoogd_valrisico): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.70
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]]
Item: (entryRelationship_verhoogd_valrisico)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.70']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.70-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entryRelationship_verhoogd_valrisico): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
