<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.73
Name: verpleegkundige interventies
Description: Template voor de weergave van verpleegkundige interventies
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000">
   <title>verpleegkundige interventies</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.73
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]
Item: (verpleegkundige_interventies)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]"
         id="tmp-r-04763a82-af8c-4da9-87c1-c3b61d7b8919">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']])&gt;=1 and not(hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/@nullFlavor)">(verpleegkundige_interventies): element hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']])&lt;=1">(verpleegkundige_interventies): element hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.73
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]
Item: (verpleegkundige_interventies)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]"
         id="tmp-r-d51e77c1-6091-4fab-9914-f589a042c46a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="string(@classCode)='PROC'">(verpleegkundige_interventies): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(verpleegkundige_interventies): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']/@nullFlavor)">(verpleegkundige_interventies): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73'])&lt;=1">(verpleegkundige_interventies): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="count(hl7:code[(@code='362956003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='362956003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(verpleegkundige_interventies): element hl7:code[(@code='362956003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="count(hl7:code[(@code='362956003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(verpleegkundige_interventies): element hl7:code[(@code='362956003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.73
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']
Item: (verpleegkundige_interventies)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']"
         id="tmp-r-01f2657a-af84-4797-bf85-c374341d24b6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(verpleegkundige_interventies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.73'">(verpleegkundige_interventies): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.73' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.73
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:code[(@code='362956003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (verpleegkundige_interventies)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:code[(@code='362956003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-7295fb52-c79f-4e2f-9451-a3264a2b6d26">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(verpleegkundige_interventies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.73-2012-05-03T000000.html"
              test="@nullFlavor or (@code='362956003' and @codeSystem='2.16.840.1.113883.6.96')">(verpleegkundige_interventies): de elementwaarde MOET zijn code '362956003' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
</pattern>
