<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Name: soort ondersteuning tandverzorging
Description: Template voor de weergave van entryRelationship soort ondersteuning tandverzorging
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000">
   <title>soort ondersteuning tandverzorging</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]
Item: (entryRelationship_soort_ondersteuning_tandverz)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]"
         id="tmp-r-0985af06-35ee-441a-8228-c90e938f99c9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/@nullFlavor)">(entryRelationship_soort_ondersteuning_tandverz): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']])&lt;=1">(entryRelationship_soort_ondersteuning_tandverz): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']]
Item: (entryRelationship_soort_ondersteuning_tandverz)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']]"
         id="tmp-r-5217f9e4-0d0f-46ab-b03e-fdaa61e5bdc7">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_soort_ondersteuning_tandverz): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_soort_ondersteuning_tandverz): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']/@nullFlavor)">(entryRelationship_soort_ondersteuning_tandverz): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83'])&lt;=1">(entryRelationship_soort_ondersteuning_tandverz): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_soort_ondersteuning_tandverz): element hl7:code[(@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_soort_ondersteuning_tandverz): element hl7:code[(@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_soort_ondersteuning_tandverz): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_soort_ondersteuning_tandverz): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']
Item: (entryRelationship_soort_ondersteuning_tandverz)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']"
         id="tmp-r-e7eef739-a054-437c-b6ec-6db6645af27e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_soort_ondersteuning_tandverz): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.83'">(entryRelationship_soort_ondersteuning_tandverz): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.83' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:code[(@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_soort_ondersteuning_tandverz)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:code[(@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-c3ff583c-abf5-4fa3-8381-da370adef01a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_soort_ondersteuning_tandverz): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="@nullFlavor or (@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_soort_ondersteuning_tandverz): de elementwaarde MOET zijn code '225963009' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:value
Item: (entryRelationship_soort_ondersteuning_tandverz)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:value"
         id="tmp-r-823abea6-3185-4d72-8651-1b20d72c0565">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_soort_ondersteuning_tandverz): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
