<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.84
Name: prothese aanwezig
Description: Template voor de weergave van entryRelationship prothese aanwezig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000">
   <title>prothese aanwezig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.84
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]
Item: (entryRelationship_prothese_aanwezig)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]"
         id="tmp-r-354d97fc-3dfd-4751-bd7d-8b19ed45a790">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/@nullFlavor)">(entryRelationship_prothese_aanwezig): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']])&lt;=1">(entryRelationship_prothese_aanwezig): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.84
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']]
Item: (entryRelationship_prothese_aanwezig)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']]"
         id="tmp-r-5f0cfc9a-1b2b-4759-815e-4cd4a9cb1cf3">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_prothese_aanwezig): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_prothese_aanwezig): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entryRelationship_prothese_aanwezig): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']/@nullFlavor)">(entryRelationship_prothese_aanwezig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84'])&lt;=1">(entryRelationship_prothese_aanwezig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="count(hl7:code[(@code='27606000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='27606000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_prothese_aanwezig): element hl7:code[(@code='27606000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="count(hl7:code[(@code='27606000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_prothese_aanwezig): element hl7:code[(@code='27606000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.84
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']
Item: (entryRelationship_prothese_aanwezig)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']"
         id="tmp-r-6185be6d-641e-4fa5-b10b-8c3f90877f2e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_prothese_aanwezig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.84'">(entryRelationship_prothese_aanwezig): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.84' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.84
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:code[(@code='27606000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_prothese_aanwezig)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:code[(@code='27606000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-257e513c-ee32-4393-9cf4-502b819d5e49">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_prothese_aanwezig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="@nullFlavor or (@code='27606000' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_prothese_aanwezig): de elementwaarde MOET zijn code '27606000' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
</pattern>
