<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Name: welke woning-aanpassingen nodig
Description: Template Welke woning-aanpassingen nodig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000">
   <title>welke woning-aanpassingen nodig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]
Item: (Modification_of_house)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]"
         id="tmp-r-d100bbad-78a6-4f57-a179-32159b0f0c51">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/@nullFlavor)">(Modification_of_house): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']])&lt;=1">(Modification_of_house): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']]
Item: (Modification_of_house)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']]"
         id="tmp-r-6d7318cf-15f0-498e-ac5f-22f65a462442">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(Modification_of_house): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(Modification_of_house): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']/@nullFlavor)">(Modification_of_house): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9'])&lt;=1">(Modification_of_house): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:code[(@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Modification_of_house): element hl7:code[(@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:code[(@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Modification_of_house): element hl7:code[(@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Modification_of_house): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(Modification_of_house): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']
Item: (Modification_of_house)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']"
         id="tmp-r-c4ddfe93-b207-4b0d-aae5-61552794e234">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Modification_of_house): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.9'">(Modification_of_house): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.9' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:code[(@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Modification_of_house)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:code[(@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-fb6fb960-afb3-48ad-bcef-f85fc2bace69">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Modification_of_house): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="@nullFlavor or (@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')">(Modification_of_house): de elementwaarde MOET zijn code '311765004' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:value
Item: (Modification_of_house)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:value"
         id="tmp-r-a24ff87a-198d-4a77-b787-8bac97a07547">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Modification_of_house): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
