<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Name: onderlichaam aan- en uitkleden
Description: Template voor de weergave van entryRelationship onderlichaam Aan- en uitkleden
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000">
   <title>onderlichaam aan- en uitkleden</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]
Item: (entryRelationship_onderlichaam_Aan-_en_uitkleden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]"
         id="tmp-r-14d4a577-843a-4274-bd8e-ccf31a0e5e2d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/@nullFlavor)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']])&lt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]
Item: (entryRelationship_onderlichaam_Aan-_en_uitkleden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]"
         id="tmp-r-2113d255-a59b-4dfc-9895-87542759190f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_onderlichaam_Aan-_en_uitkleden): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_onderlichaam_Aan-_en_uitkleden): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']/@nullFlavor)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90'])&lt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']
Item: (entryRelationship_onderlichaam_Aan-_en_uitkleden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']"
         id="tmp-r-34a625b2-17d0-4ab8-bf0f-48af3cac7a8d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.90'">(entryRelationship_onderlichaam_Aan-_en_uitkleden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.90' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_onderlichaam_Aan-_en_uitkleden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-4adba071-4c88-4413-9626-63ffe4bed7b2">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="@nullFlavor or (@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_onderlichaam_Aan-_en_uitkleden): de elementwaarde MOET zijn code '165235000' codeSystem '2.16.840.1.113883.6.96'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:qualifier is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:qualifier)&lt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:qualifier komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.778
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier
Item: (QualifierLowerBody)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier"
         id="tmp-r-d3c90a6d-aced-4d11-9ce4-19e1937c3e5f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="count(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(QualifierLowerBody): element hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="count(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(QualifierLowerBody): element hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="count(hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(QualifierLowerBody): element hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="count(hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(QualifierLowerBody): element hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.778
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (QualifierLowerBody)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-d68df3d5-2b71-40a1-9d9e-e75495bae67b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="@nullFlavor or (@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierLowerBody): de elementwaarde MOET zijn code '405813007' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.778
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (QualifierLowerBody)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-0f2c3c7f-f8a8-466a-8177-527082cc973f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="@nullFlavor or (@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierLowerBody): de elementwaarde MOET zijn code '128263001' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (entryRelationship_onderlichaam_Aan-_en_uitkleden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-744c4d1d-4e12-4815-b3a4-882340176ef6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_onderlichaam_Aan-_en_uitkleden): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.6.254'.</assert>
      <let name="theICFCode" value="'d5408'"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_onderlichaam_Aan-_en_uitkleden): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
