<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.17
Name: Sectie Zintuigen
Description: Sectie Zintuigen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000">
   <title>Sectie Zintuigen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.17
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.17']]
Item: (Sectie_Zintuigen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.17']]"
         id="tmp-r-5108894a-eda1-4ebf-a8e5-54fb92b4a796">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']])&gt;=1 and not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/@nullFlavor)">(Sectie_Zintuigen): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']])&lt;=1">(Sectie_Zintuigen): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.17
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]
Item: (Sectie_Zintuigen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]"
         id="tmp-r-651ec01f-3a6e-468e-92b1-8c4e80041700">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']/@nullFlavor)">(Sectie_Zintuigen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17'])&lt;=1">(Sectie_Zintuigen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:code[(@code='106148006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='106148006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Sectie_Zintuigen): element hl7:code[(@code='106148006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:code[(@code='106148006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Sectie_Zintuigen): element hl7:code[(@code='106148006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Zintuigen): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Zintuigen): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']]]/@nullFlavor)">(Sectie_Zintuigen): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']]])&lt;=1">(Sectie_Zintuigen): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.17
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']
Item: (Sectie_Zintuigen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']"
         id="tmp-r-9ced5393-cc7f-4503-ab4e-795fb1f9c62f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Zintuigen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.17'">(Sectie_Zintuigen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.17' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.17
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:code[(@code='106148006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Sectie_Zintuigen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:code[(@code='106148006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-df082529-2527-4336-9e36-fbc7b9b35dcb">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Zintuigen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="@nullFlavor or (@code='106148006' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Zintuigen): de elementwaarde MOET zijn code '106148006' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.17
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:title
Item: (Sectie_Zintuigen)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.17
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']]]
Item: (Sectie_Zintuigen)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Zintuigen): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
