<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.18
Name: Sectie Pijn
Description: Template voor de weergave van Sectie Pijn
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000">
   <title>Sectie Pijn</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.18
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.18']]
Item: (Sectie_Pijn)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.18']]"
         id="tmp-r-05a2fbc3-5b28-4153-bad1-aa307bd1e08f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']])&gt;=1 and not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/@nullFlavor)">(Sectie_Pijn): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']])&lt;=1">(Sectie_Pijn): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.18
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]
Item: (Sectie_Pijn)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]"
         id="tmp-r-265ccba0-4b5d-4c59-a287-5891f730412e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']/@nullFlavor)">(Sectie_Pijn): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18'])&lt;=1">(Sectie_Pijn): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000.html"
              test="count(hl7:code[(@code='52500-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='52500-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sectie_Pijn): element hl7:code[(@code='52500-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000.html"
              test="count(hl7:code[(@code='52500-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sectie_Pijn): element hl7:code[(@code='52500-6' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Pijn): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Pijn): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]]/@nullFlavor)">(Sectie_Pijn): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]])&lt;=1">(Sectie_Pijn): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.18
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']
Item: (Sectie_Pijn)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']"
         id="tmp-r-fb1b925f-a51d-40cd-8c10-35eb5a7bcb17">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Pijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.18'">(Sectie_Pijn): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.18' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.18
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:code[(@code='52500-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sectie_Pijn)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:code[(@code='52500-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-fc4e131c-66f9-4f95-9f20-00343843c845">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Pijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000.html"
              test="@nullFlavor or (@code='52500-6' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Pijn): de elementwaarde MOET zijn code '52500-6' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.18
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:title
Item: (Sectie_Pijn)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.18
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]]
Item: (Sectie_Pijn)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.18-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(Sectie_Pijn): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
