<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Name: Sectie Medische gegevens
Description: Template voor de weergave van sectie Medische gegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000">
   <title>Sectie Medische gegevens</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]
Item: (Sectie_Medische_gegevens)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]"
         id="tmp-r-9fd9b915-f42b-4989-b008-8b7b68ca8415">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']])&gt;=1 and not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/@nullFlavor)">(Sectie_Medische_gegevens): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']])&lt;=1">(Sectie_Medische_gegevens): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]
Item: (Sectie_Medische_gegevens)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]"
         id="tmp-r-fb1ddcea-7889-4cce-b5fa-b377fdcb5e08">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']/@nullFlavor)">(Sectie_Medische_gegevens): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2'])&lt;=1">(Sectie_Medische_gegevens): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000.html"
              test="count(hl7:code[(@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sectie_Medische_gegevens): element hl7:code[(@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000.html"
              test="count(hl7:code[(@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sectie_Medische_gegevens): element hl7:code[(@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Medische_gegevens): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Medische_gegevens): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]]/@nullFlavor)">(Sectie_Medische_gegevens): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]])&lt;=1">(Sectie_Medische_gegevens): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']
Item: (Sectie_Medische_gegevens)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']"
         id="tmp-r-9263e716-47d8-4cae-af1e-6c2d4deb0063">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Medische_gegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.2'">(Sectie_Medische_gegevens): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.2' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:code[(@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sectie_Medische_gegevens)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:code[(@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-30f7fad4-983b-482a-b759-4101a5cce8df">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Medische_gegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000.html"
              test="@nullFlavor or (@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Medische_gegevens): de elementwaarde MOET zijn code '34117-2' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:title
Item: (Sectie_Medische_gegevens)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]]
Item: (Sectie_Medische_gegevens)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Medische_gegevens): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
