<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.7
Name: Sectie Mond verzorging
Description: Template voor de weergave van Sectie Mond verzorging 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000">
   <title>Sectie Mond verzorging</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.7
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]
Item: (Sectie_Mond_verzorging)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]"
         id="tmp-r-42e18422-fa60-49d4-b54d-12b8a098e2ff">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']])&gt;=1 and not(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/@nullFlavor)">(Sectie_Mond_verzorging): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']])&lt;=1">(Sectie_Mond_verzorging): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.7
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]
Item: (Sectie_Mond_verzorging)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]"
         id="tmp-r-879de310-8dc8-4fb1-a8c9-966f53aab300">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']/@nullFlavor)">(Sectie_Mond_verzorging): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7'])&lt;=1">(Sectie_Mond_verzorging): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000.html"
              test="count(hl7:code[(@code='288470005' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='288470005' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Sectie_Mond_verzorging): element hl7:code[(@code='288470005' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000.html"
              test="count(hl7:code[(@code='288470005' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Sectie_Mond_verzorging): element hl7:code[(@code='288470005' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Mond_verzorging): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Mond_verzorging): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']]]/@nullFlavor)">(Sectie_Mond_verzorging): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']]])&lt;=1">(Sectie_Mond_verzorging): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.7
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']
Item: (Sectie_Mond_verzorging)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']"
         id="tmp-r-fdba7f53-04f4-4ace-a92b-34a97b211def">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Mond_verzorging): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.7'">(Sectie_Mond_verzorging): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.7' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.7
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:code[(@code='288470005' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Sectie_Mond_verzorging)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:code[(@code='288470005' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-ba10603f-93d1-46cc-ae9b-6d2e89df44ab">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Mond_verzorging): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000.html"
              test="@nullFlavor or (@code='288470005' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Mond_verzorging): de elementwaarde MOET zijn code '288470005' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.7
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:title
Item: (Sectie_Mond_verzorging)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.7
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']]]
Item: (Sectie_Mond_verzorging)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.1.7-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Mond_verzorging): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
