<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.105
Name: bereiden openen uitschenken
Description: Template voor de weergave van bereiden openen uitschenken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000">
   <title>bereiden openen uitschenken</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]
Item: (bereiden_openen_uitschenken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]"
         id="tmp-r-6656fc09-b555-4c5f-8672-c1032de012c2">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/@nullFlavor)">(bereiden_openen_uitschenken): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']])&lt;=1">(bereiden_openen_uitschenken): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']]
Item: (bereiden_openen_uitschenken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']]"
         id="tmp-r-85ffcc50-d3f7-4a53-8997-0f723e1447ac">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(bereiden_openen_uitschenken): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(bereiden_openen_uitschenken): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']/@nullFlavor)">(bereiden_openen_uitschenken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105'])&lt;=1">(bereiden_openen_uitschenken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="count(hl7:code[(@code='286501003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='286501003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(bereiden_openen_uitschenken): element hl7:code[(@code='286501003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="count(hl7:code[(@code='286501003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(bereiden_openen_uitschenken): element hl7:code[(@code='286501003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(bereiden_openen_uitschenken): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(bereiden_openen_uitschenken): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']
Item: (bereiden_openen_uitschenken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']"
         id="tmp-r-4ddcbba2-f083-4666-959a-53a85fc0885b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(bereiden_openen_uitschenken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.105'">(bereiden_openen_uitschenken): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.105' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:code[(@code='286501003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (bereiden_openen_uitschenken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:code[(@code='286501003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-53b84f26-da6d-42a7-9d4f-1928e1d6b227">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(bereiden_openen_uitschenken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="@nullFlavor or (@code='286501003' and @codeSystem='2.16.840.1.113883.6.96')">(bereiden_openen_uitschenken): de elementwaarde MOET zijn code '286501003' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (bereiden_openen_uitschenken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-fd572138-88c7-460a-883d-80beb792c4ff">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(bereiden_openen_uitschenken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(bereiden_openen_uitschenken): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.6.254'.</assert>
      <let name="theICFCode" value="'d560'"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.105-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(bereiden_openen_uitschenken): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
