<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Name: entry Toediening systemen
Description: Template voor de weergave van entry Toediening systemen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000">
   <title>entry Toediening systemen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]
Item: (entry_Toediening_systemen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]"
         id="tmp-r-d5281669-cd5e-4e66-8fae-1f0ac945de99">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/@nullFlavor)">(entry_Toediening_systemen): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']])&lt;=1">(entry_Toediening_systemen): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]
Item: (entry_Toediening_systemen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]"
         id="tmp-r-2fa1935c-bdb7-4364-9fe0-6270f316a25c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entry_Toediening_systemen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entry_Toediening_systemen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entry_Toediening_systemen): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(hl7:entryRelationship)=0">(entry_Toediening_systemen): Als er géén toediening systemen aanwezig zijn (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value">(entry_Toediening_systemen): Als er géén toediening systemen aanwezig zijn (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']/@nullFlavor)">(entry_Toediening_systemen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116'])&lt;=1">(entry_Toediening_systemen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="count(hl7:code[(@code='105789008' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='105789008' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entry_Toediening_systemen): element hl7:code[(@code='105789008' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="count(hl7:code[(@code='105789008' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entry_Toediening_systemen): element hl7:code[(@code='105789008' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]])&lt;=1">(entry_Toediening_systemen): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']
Item: (entry_Toediening_systemen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']"
         id="tmp-r-66919561-90c0-493e-9169-f53d6e8609fc">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Toediening_systemen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.116'">(entry_Toediening_systemen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.116' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:code[(@code='105789008' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entry_Toediening_systemen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:code[(@code='105789008' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-12da8728-e589-4cc5-9eaa-dc3c543fefcf">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Toediening_systemen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="@nullFlavor or (@code='105789008' and @codeSystem='2.16.840.1.113883.6.96')">(entry_Toediening_systemen): de elementwaarde MOET zijn code '105789008' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.117']]]
Item: (entry_Toediening_systemen)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.117']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Toediening_systemen): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.119']]]
Item: (entry_Toediening_systemen)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.119']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Toediening_systemen): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]]
Item: (entry_Toediening_systemen)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.116-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entry_Toediening_systemen): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
