<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.12
Name: medische diagnose
Description: Template voor de weergave van entryRelationship_Principal_Diagnosis
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.12-2012-05-03T000000">
   <title>medische diagnose</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]
Item: (entryRelationship_Principal_Diagnosis)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]"
         id="tmp-r-a06553bb-64ad-4496-84ca-714afc75a620">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.12-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/@nullFlavor)">(entryRelationship_Principal_Diagnosis): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]
Item: (entryRelationship_Principal_Diagnosis)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]"
         id="tmp-r-da75d150-9d39-441a-b687-0561384d1a63">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.12-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_Principal_Diagnosis): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.12-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_Principal_Diagnosis): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.12-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']/@nullFlavor)">(entryRelationship_Principal_Diagnosis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.12-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12'])&lt;=1">(entryRelationship_Principal_Diagnosis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.12-2012-05-03T000000.html"
              test="count(hl7:code[(@code='8319008' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='8319008' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_Principal_Diagnosis): element hl7:code[(@code='8319008' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.12-2012-05-03T000000.html"
              test="count(hl7:code[(@code='8319008' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_Principal_Diagnosis): element hl7:code[(@code='8319008' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.12-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_Principal_Diagnosis): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.12-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_Principal_Diagnosis): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']
Item: (entryRelationship_Principal_Diagnosis)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']"
         id="tmp-r-9f100d38-487d-463e-ba46-ebd24f04c72a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.12-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_Principal_Diagnosis): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.12-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.12'">(entryRelationship_Principal_Diagnosis): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.12' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:code[(@code='8319008' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_Principal_Diagnosis)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:code[(@code='8319008' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-7cf25474-0dfd-4076-80e0-a4fd712ee01b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.12-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_Principal_Diagnosis): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.12-2012-05-03T000000.html"
              test="@nullFlavor or (@code='8319008' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_Principal_Diagnosis): de elementwaarde MOET zijn code '8319008' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:value
Item: (entryRelationship_Principal_Diagnosis)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:value"
         id="tmp-r-4f15d8f4-4e73-4d85-9482-7bb1531af306">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.12-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_Principal_Diagnosis): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
