<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.140
Name: incontinentiemateriaal
Description: Template voor de weergave van incontinentiemateriaal
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000">
   <title>incontinentiemateriaal</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.140
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]
Item: (incontinentiemateriaal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]"
         id="tmp-r-d2624a4c-9c24-42ac-bf6d-9231bfab9e4b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/@nullFlavor)">(incontinentiemateriaal): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']])&lt;=1">(incontinentiemateriaal): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.140
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']]
Item: (incontinentiemateriaal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']]"
         id="tmp-r-c965af51-0061-40f5-925f-f75a3e69a445">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(incontinentiemateriaal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(incontinentiemateriaal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']/@nullFlavor)">(incontinentiemateriaal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140'])&lt;=1">(incontinentiemateriaal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000.html"
              test="count(hl7:code[(@code='337588003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='337588003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(incontinentiemateriaal): element hl7:code[(@code='337588003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000.html"
              test="count(hl7:code[(@code='337588003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(incontinentiemateriaal): element hl7:code[(@code='337588003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(incontinentiemateriaal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(incontinentiemateriaal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.140
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']
Item: (incontinentiemateriaal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']"
         id="tmp-r-772fc0db-09ad-46d6-a947-a4639b59a082">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(incontinentiemateriaal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.140'">(incontinentiemateriaal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.140' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.140
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:code[(@code='337588003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (incontinentiemateriaal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:code[(@code='337588003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-8c2271fc-0328-476e-a4c9-57d8237e45e6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(incontinentiemateriaal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000.html"
              test="@nullFlavor or (@code='337588003' and @codeSystem='2.16.840.1.113883.6.96')">(incontinentiemateriaal): de elementwaarde MOET zijn code '337588003' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.140
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:value
Item: (incontinentiemateriaal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:value"
         id="tmp-r-abff0c77-4d97-409e-a840-07ac2acc8086">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.140-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(incontinentiemateriaal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
