<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.144
Name: entry Seksualiteit en voortplanting
Description: Template voor de weergave van entry Seksualiteit en voortplanting
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000">
   <title>entry Seksualiteit en voortplanting</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.144
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]
Item: (entry_Seksualiteit_en_voortplanting)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]"
         id="tmp-r-58d11433-d499-4127-a032-1d80f115904f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/@nullFlavor)">(entry_Seksualiteit_en_voortplanting): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']])&lt;=1">(entry_Seksualiteit_en_voortplanting): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.144
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]
Item: (entry_Seksualiteit_en_voortplanting)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]"
         id="tmp-r-8f2a6b7b-bd06-4119-a96b-ec2ff05f6149">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entry_Seksualiteit_en_voortplanting): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entry_Seksualiteit_en_voortplanting): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entry_Seksualiteit_en_voortplanting): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value">(entry_Seksualiteit_en_voortplanting): Als er géén bijzonderheden zijn (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']/@nullFlavor)">(entry_Seksualiteit_en_voortplanting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144'])&lt;=1">(entry_Seksualiteit_en_voortplanting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="count(hl7:code[(@code='118199002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='118199002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entry_Seksualiteit_en_voortplanting): element hl7:code[(@code='118199002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="count(hl7:code[(@code='118199002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entry_Seksualiteit_en_voortplanting): element hl7:code[(@code='118199002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entry_Seksualiteit_en_voortplanting): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.146']]])&lt;=1">(entry_Seksualiteit_en_voortplanting): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.146']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']]])&lt;=1">(entry_Seksualiteit_en_voortplanting): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]])&lt;=1">(entry_Seksualiteit_en_voortplanting): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.144
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']
Item: (entry_Seksualiteit_en_voortplanting)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']"
         id="tmp-r-b514cd3a-eb4d-4f0d-bd20-6798691354fb">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Seksualiteit_en_voortplanting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.144'">(entry_Seksualiteit_en_voortplanting): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.144' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.144
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:code[(@code='118199002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entry_Seksualiteit_en_voortplanting)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:code[(@code='118199002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-ccd3b7dc-85cc-4493-bcbb-fe36a439675d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Seksualiteit_en_voortplanting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="@nullFlavor or (@code='118199002' and @codeSystem='2.16.840.1.113883.6.96')">(entry_Seksualiteit_en_voortplanting): de elementwaarde MOET zijn code '118199002' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.144
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:value
Item: (entry_Seksualiteit_en_voortplanting)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:value"
         id="tmp-r-024b149d-9c5d-4d7e-ad4a-3d21b2986f9f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Seksualiteit_en_voortplanting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.144
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.146']]]
Item: (entry_Seksualiteit_en_voortplanting)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.146']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Seksualiteit_en_voortplanting): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.144
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']]]
Item: (entry_Seksualiteit_en_voortplanting)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Seksualiteit_en_voortplanting): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.144
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]]
Item: (entry_Seksualiteit_en_voortplanting)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.144-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entry_Seksualiteit_en_voortplanting): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
