<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.149
Name: voorplanting
Description: Template voor de weergave van voorplanting
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.149-2012-05-03T000000">
   <title>voorplanting</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.149
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]
Item: (voorplanting)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]"
         id="tmp-r-dc886e2b-c8e7-4253-848f-c8ad7b5ac39f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.149-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']])&gt;=1 and not(hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/@nullFlavor)">(voorplanting): element hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.149-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']])&lt;=1">(voorplanting): element hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.149
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']]
Item: (voorplanting)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']]"
         id="tmp-r-d1247d75-e5a3-4059-b519-84f6bc1ca806">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.149-2012-05-03T000000.html"
              test="string(@classCode)='PROC'">(voorplanting): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.149-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(voorplanting): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.149-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']/@nullFlavor)">(voorplanting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.149-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149'])&lt;=1">(voorplanting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.149-2012-05-03T000000.html"
              test="count(hl7:code[(@code='4589007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='4589007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(voorplanting): element hl7:code[(@code='4589007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.149-2012-05-03T000000.html"
              test="count(hl7:code[(@code='4589007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(voorplanting): element hl7:code[(@code='4589007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.149
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']
Item: (voorplanting)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']"
         id="tmp-r-eedc8822-3d2c-451f-8c76-680fef84ec3f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.149-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(voorplanting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.149-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.149'">(voorplanting): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.149' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.149
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:code[(@code='4589007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (voorplanting)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:code[(@code='4589007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-2b0f8cca-9631-4852-8e28-238b26daf87d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.149-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(voorplanting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.149-2012-05-03T000000.html"
              test="@nullFlavor or (@code='4589007' and @codeSystem='2.16.840.1.113883.6.96')">(voorplanting): de elementwaarde MOET zijn code '4589007' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
</pattern>
