<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.176
Name: hulpmiddelen bij zien
Description: Template voor de weergave van hulpmiddelen bij zien
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000">
   <title>hulpmiddelen bij zien</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.176
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]
Item: (hulpmiddelen_bij_zien)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]"
         id="tmp-r-28accfb8-707d-4802-aae4-ddaf0b1d1276">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="count(hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']])&gt;=1 and not(hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/@nullFlavor)">(hulpmiddelen_bij_zien): element hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="count(hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']])&lt;=1">(hulpmiddelen_bij_zien): element hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.176
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']]
Item: (hulpmiddelen_bij_zien)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']]"
         id="tmp-r-9006ed76-094d-4013-bc0e-1352b81359a2">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="string(@classCode)='SPLY'">(hulpmiddelen_bij_zien): de waarde van @classCode MOET 'SPLY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(hulpmiddelen_bij_zien): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']/@nullFlavor)">(hulpmiddelen_bij_zien): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176'])&lt;=1">(hulpmiddelen_bij_zien): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="count(hl7:code[(@code='257192006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='257192006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(hulpmiddelen_bij_zien): element hl7:code[(@code='257192006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="count(hl7:code[(@code='257192006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(hulpmiddelen_bij_zien): element hl7:code[(@code='257192006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="count(hl7:statusCode)&lt;=1">(hulpmiddelen_bij_zien): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']]])&gt;=1 and not(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']]]/@nullFlavor)">(hulpmiddelen_bij_zien): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']]])&lt;=1">(hulpmiddelen_bij_zien): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.176
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']
Item: (hulpmiddelen_bij_zien)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']"
         id="tmp-r-6a5c23d2-4d4c-47fb-8966-bf040e228f97">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hulpmiddelen_bij_zien): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.176'">(hulpmiddelen_bij_zien): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.176' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.176
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:code[(@code='257192006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (hulpmiddelen_bij_zien)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:code[(@code='257192006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-d6ebaa5d-9a87-4cb8-bbcc-2e111e9648e2">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hulpmiddelen_bij_zien): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="@nullFlavor or (@code='257192006' and @codeSystem='2.16.840.1.113883.6.96')">(hulpmiddelen_bij_zien): de elementwaarde MOET zijn code '257192006' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.176
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:statusCode
Item: (hulpmiddelen_bij_zien)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:statusCode"
         id="tmp-r-91f44afe-8acb-4b07-8bd1-e290210ed303">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hulpmiddelen_bij_zien): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="@nullFlavor or (@code='completed')">(hulpmiddelen_bij_zien): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.176
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']]]
Item: (hulpmiddelen_bij_zien)
-->
   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.176-2012-05-03T000000.html"
              test="string(@typeCode)='PRD' or not(@typeCode)">(hulpmiddelen_bij_zien): de waarde van @typeCode MOET 'PRD' zijn.</assert>
   </rule>
</pattern>
