<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.179
Name: hulpmiddelen bij gehoor
Description: Template voor de weergave van hulpmiddelen bij gehoor
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000">
   <title>hulpmiddelen bij gehoor</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.179
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]
Item: (hulpmiddelen_bij_gehoor)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]"
         id="tmp-r-388c270d-a1f3-4344-a55c-69a3054e3600">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="count(hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']])&gt;=1 and not(hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/@nullFlavor)">(hulpmiddelen_bij_gehoor): element hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="count(hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']])&lt;=1">(hulpmiddelen_bij_gehoor): element hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.179
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']]
Item: (hulpmiddelen_bij_gehoor)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']]"
         id="tmp-r-4607aa31-602c-4261-85e9-eacd5b8734bc">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="string(@classCode)='SPLY'">(hulpmiddelen_bij_gehoor): de waarde van @classCode MOET 'SPLY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(hulpmiddelen_bij_gehoor): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']/@nullFlavor)">(hulpmiddelen_bij_gehoor): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179'])&lt;=1">(hulpmiddelen_bij_gehoor): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="count(hl7:code[(@code='272182005' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='272182005' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(hulpmiddelen_bij_gehoor): element hl7:code[(@code='272182005' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="count(hl7:code[(@code='272182005' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(hulpmiddelen_bij_gehoor): element hl7:code[(@code='272182005' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="count(hl7:statusCode)&lt;=1">(hulpmiddelen_bij_gehoor): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']]])&gt;=1 and not(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']]]/@nullFlavor)">(hulpmiddelen_bij_gehoor): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']]])&lt;=1">(hulpmiddelen_bij_gehoor): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.179
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']
Item: (hulpmiddelen_bij_gehoor)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']"
         id="tmp-r-08e52009-6fba-43e9-aed7-ba8823585de3">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hulpmiddelen_bij_gehoor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.179'">(hulpmiddelen_bij_gehoor): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.179' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.179
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:code[(@code='272182005' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (hulpmiddelen_bij_gehoor)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:code[(@code='272182005' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-a40b041e-a865-432d-bbd2-e8a9e7e504e0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hulpmiddelen_bij_gehoor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="@nullFlavor or (@code='272182005' and @codeSystem='2.16.840.1.113883.6.96')">(hulpmiddelen_bij_gehoor): de elementwaarde MOET zijn code '272182005' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.179
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:statusCode
Item: (hulpmiddelen_bij_gehoor)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:statusCode"
         id="tmp-r-de469508-6b93-4ad0-a422-f24042231711">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(hulpmiddelen_bij_gehoor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="@nullFlavor or (@code='completed')">(hulpmiddelen_bij_gehoor): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.179
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']]]
Item: (hulpmiddelen_bij_gehoor)
-->
   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.179-2012-05-03T000000.html"
              test="string(@typeCode)='PRD' or not(@typeCode)">(hulpmiddelen_bij_gehoor): de waarde van @typeCode MOET 'PRD' zijn.</assert>
   </rule>
</pattern>
