<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.189
Name: entry Interventie tav psychisch functioneren
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000">
   <title>entry Interventie tav psychisch functioneren</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.189
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]
Item: (entry_Interventie_tav_psychisch_functioneren)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]"
         id="tmp-r-cb1197ad-1b10-48d8-b320-4f14439e0f19">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/@nullFlavor)">(entry_Interventie_tav_psychisch_functioneren): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']])&lt;=1">(entry_Interventie_tav_psychisch_functioneren): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.189
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]
Item: (entry_Interventie_tav_psychisch_functioneren)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]"
         id="tmp-r-66ca17cf-2b50-4608-93de-42b6d09a8a57">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entry_Interventie_tav_psychisch_functioneren): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entry_Interventie_tav_psychisch_functioneren): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entry_Interventie_tav_psychisch_functioneren): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="not(@negationInd='false') or count(hl7:entryRelationship)&gt;=1">(entry_Interventie_tav_psychisch_functioneren): Als er bijzonderheden zijn (@negationId='false') dan moet er minimaal één entryRelationship elementen aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value">(entry_Interventie_tav_psychisch_functioneren): Als er géén bijzonderheden zijn (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']/@nullFlavor)">(entry_Interventie_tav_psychisch_functioneren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189'])&lt;=1">(entry_Interventie_tav_psychisch_functioneren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225318000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='225318000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entry_Interventie_tav_psychisch_functioneren): element hl7:code[(@code='225318000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225318000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entry_Interventie_tav_psychisch_functioneren): element hl7:code[(@code='225318000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.190']]])&lt;=1">(entry_Interventie_tav_psychisch_functioneren): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.190']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.191']]])&lt;=1">(entry_Interventie_tav_psychisch_functioneren): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.191']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']]])&lt;=1">(entry_Interventie_tav_psychisch_functioneren): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']]])&lt;=1">(entry_Interventie_tav_psychisch_functioneren): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]])&lt;=1">(entry_Interventie_tav_psychisch_functioneren): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.189
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']
Item: (entry_Interventie_tav_psychisch_functioneren)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']"
         id="tmp-r-4cf933fa-ccb5-46f3-8ebd-5e4b46a4e3c1">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Interventie_tav_psychisch_functioneren): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.189'">(entry_Interventie_tav_psychisch_functioneren): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.189' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.189
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:code[(@code='225318000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entry_Interventie_tav_psychisch_functioneren)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:code[(@code='225318000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-d5db0698-0d3a-43ae-ba16-0d9c1d02e49b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Interventie_tav_psychisch_functioneren): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="@nullFlavor or (@code='225318000' and @codeSystem='2.16.840.1.113883.6.96')">(entry_Interventie_tav_psychisch_functioneren): de elementwaarde MOET zijn code '225318000' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.189
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.190']]]
Item: (entry_Interventie_tav_psychisch_functioneren)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.190']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entry_Interventie_tav_psychisch_functioneren): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.189
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.191']]]
Item: (entry_Interventie_tav_psychisch_functioneren)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.191']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Interventie_tav_psychisch_functioneren): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.189
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']]]
Item: (entry_Interventie_tav_psychisch_functioneren)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Interventie_tav_psychisch_functioneren): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.189
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']]]
Item: (entry_Interventie_tav_psychisch_functioneren)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Interventie_tav_psychisch_functioneren): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.189
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']]]
Item: (entry_Interventie_tav_psychisch_functioneren)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Interventie_tav_psychisch_functioneren): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.189
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]]
Item: (entry_Interventie_tav_psychisch_functioneren)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.189-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entry_Interventie_tav_psychisch_functioneren): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
