<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.196
Name: vrijheidsbeperkende interventies
Description: Template voor de weergave van vrijheidsbeperkende interventies
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000">
   <title>vrijheidsbeperkende interventies</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.196
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]
Item: (vrijheidsbeperkende_interventies)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]"
         id="tmp-r-74f75e30-e536-4f70-827f-333666d9543e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']])&gt;=1 ">(vrijheidsbeperkende_interventies): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']])&lt;=1">(vrijheidsbeperkende_interventies): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.196
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']]
Item: (vrijheidsbeperkende_interventies)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']]"
         id="tmp-r-8fa7ab10-9325-4756-b8c7-4566656f1c87">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(vrijheidsbeperkende_interventies): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(vrijheidsbeperkende_interventies): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(vrijheidsbeperkende_interventies): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(hl7:entryRelationship)=0">(vrijheidsbeperkende_interventies): Als er géén bijzonderheden zijn (@negationId='true') dan kunnen er alleen twee entryRelationship elementen (voor de juridische status en voor de verpleegkundige interventies)zijn dan de huidige</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value">(vrijheidsbeperkende_interventies): Als er géén bijzonderheden zijn (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']/@nullFlavor)">(vrijheidsbeperkende_interventies): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196'])&lt;=1">(vrijheidsbeperkende_interventies): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225317005' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='225317005' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(vrijheidsbeperkende_interventies): element hl7:code[(@code='225317005' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225317005' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(vrijheidsbeperkende_interventies): element hl7:code[(@code='225317005' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(vrijheidsbeperkende_interventies): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]])&lt;=1">(vrijheidsbeperkende_interventies): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.196
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']
Item: (vrijheidsbeperkende_interventies)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']"
         id="tmp-r-c93e2b02-dfc5-428e-9174-a54290357c63">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vrijheidsbeperkende_interventies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.196'">(vrijheidsbeperkende_interventies): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.196' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.196
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:code[(@code='225317005' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (vrijheidsbeperkende_interventies)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:code[(@code='225317005' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-8af3808e-ba19-43ec-aa5b-1994ceb8e745">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vrijheidsbeperkende_interventies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="@nullFlavor or (@code='225317005' and @codeSystem='2.16.840.1.113883.6.96')">(vrijheidsbeperkende_interventies): de elementwaarde MOET zijn code '225317005' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.196
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:value
Item: (vrijheidsbeperkende_interventies)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:value"
         id="tmp-r-dc6acde9-a041-4163-8eb1-12d8146a74d8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vrijheidsbeperkende_interventies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.196
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]
Item: (vrijheidsbeperkende_interventies)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.196-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(vrijheidsbeperkende_interventies): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
