<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Name: entryRelationship allergie
Description: Template voor de weergave van entryRelationship allergie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000">
   <title>entryRelationship allergie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]
Item: (entryRelationship_allergie)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]"
         id="tmp-r-7fe9a885-dd4e-48c4-abc0-0241db130a5b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']])&gt;=1 and not(hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/@nullFlavor)">(entryRelationship_allergie): element hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']])&lt;=1">(entryRelationship_allergie): element hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']]
Item: (entryRelationship_allergie)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']]"
         id="tmp-r-39e3da0c-00d4-4e75-8aa8-6f0e502be51b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="string(@classCode)='ACT'">(entryRelationship_allergie): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_allergie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']/@nullFlavor)">(entryRelationship_allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20'])&lt;=1">(entryRelationship_allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:code)&gt;=1 ">(entryRelationship_allergie): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_allergie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21']]]/@nullFlavor)">(entryRelationship_allergie): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']
Item: (entryRelationship_allergie)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']"
         id="tmp-r-928c3b21-1e0e-4f07-89c7-27c04f0666b2">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.20'">(entryRelationship_allergie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.20' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:code
Item: (entryRelationship_allergie)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:code"
         id="tmp-r-b63025b9-22b9-4864-b1e9-fd28a515d9ce">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="string(@nullFlavor)='NA'">(entryRelationship_allergie): de waarde van @nullFlavor MOET 'NA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21']]]
Item: (entryRelationship_allergie)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="string(@typeCode)='SUBJ'">(entryRelationship_allergie): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>
</pattern>
