<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.214
Name: tempo snelheid gedachten wisselen
Description: Template voor de weergave van tempo snelheid gedachten wisselen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000">
   <title>tempo snelheid gedachten wisselen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.214
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]
Item: (tempo_snelheid_gedachten_wisselen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]"
         id="tmp-r-f4c061d1-dc1d-4f5a-b4fb-2fdec2535173">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/@nullFlavor)">(tempo_snelheid_gedachten_wisselen): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']])&lt;=1">(tempo_snelheid_gedachten_wisselen): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.214
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']]
Item: (tempo_snelheid_gedachten_wisselen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']]"
         id="tmp-r-e3c176bf-d9f4-4f90-a2af-862bcd907920">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(tempo_snelheid_gedachten_wisselen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(tempo_snelheid_gedachten_wisselen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']/@nullFlavor)">(tempo_snelheid_gedachten_wisselen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214'])&lt;=1">(tempo_snelheid_gedachten_wisselen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="count(hl7:code[(@code='b1600' and @codeSystem='2.16.840.1.113883.6.254')])&gt;=1 and not(hl7:code[(@code='b1600' and @codeSystem='2.16.840.1.113883.6.254')]/@nullFlavor)">(tempo_snelheid_gedachten_wisselen): element hl7:code[(@code='b1600' and @codeSystem='2.16.840.1.113883.6.254')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="count(hl7:code[(@code='b1600' and @codeSystem='2.16.840.1.113883.6.254')])&lt;=1">(tempo_snelheid_gedachten_wisselen): element hl7:code[(@code='b1600' and @codeSystem='2.16.840.1.113883.6.254')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(tempo_snelheid_gedachten_wisselen): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(tempo_snelheid_gedachten_wisselen): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.214
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']
Item: (tempo_snelheid_gedachten_wisselen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']"
         id="tmp-r-1015c0d8-16b9-4c66-9a97-9af13b7ab711">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(tempo_snelheid_gedachten_wisselen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.214'">(tempo_snelheid_gedachten_wisselen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.214' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.214
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:code[(@code='b1600' and @codeSystem='2.16.840.1.113883.6.254')]
Item: (tempo_snelheid_gedachten_wisselen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:code[(@code='b1600' and @codeSystem='2.16.840.1.113883.6.254')]"
         id="tmp-r-3e11303a-ec94-463d-9f27-58a095ce0e2c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(tempo_snelheid_gedachten_wisselen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="@nullFlavor or (@code='b1600' and @codeSystem='2.16.840.1.113883.6.254')">(tempo_snelheid_gedachten_wisselen): de elementwaarde MOET zijn code 'b1600' codeSystem '2.16.840.1.113883.6.254'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.214
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (tempo_snelheid_gedachten_wisselen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-8c710a8a-4225-4380-abd7-68a61448490e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(tempo_snelheid_gedachten_wisselen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(tempo_snelheid_gedachten_wisselen): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.6.254'.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.214-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(tempo_snelheid_gedachten_wisselen): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
