<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.221
Name: spreekt Nederlandse taal
Description: Template voor de weergave van spreekt Nederlandse taal
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000">
   <title>spreekt Nederlandse taal</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.221
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]
Item: (spreekt_Nederlandse_taal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]"
         id="tmp-r-54d5b603-db2b-4300-885f-86428acdddf0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/@nullFlavor)">(spreekt_Nederlandse_taal): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']])&lt;=1">(spreekt_Nederlandse_taal): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.221
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']]
Item: (spreekt_Nederlandse_taal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']]"
         id="tmp-r-819c69f2-8aad-4b76-86c7-367c7e44ead8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(spreekt_Nederlandse_taal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(spreekt_Nederlandse_taal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']/@nullFlavor)">(spreekt_Nederlandse_taal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221'])&lt;=1">(spreekt_Nederlandse_taal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000.html"
              test="count(hl7:code[(@code='365453006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='365453006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(spreekt_Nederlandse_taal): element hl7:code[(@code='365453006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000.html"
              test="count(hl7:code[(@code='365453006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(spreekt_Nederlandse_taal): element hl7:code[(@code='365453006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(spreekt_Nederlandse_taal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(spreekt_Nederlandse_taal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.221
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']
Item: (spreekt_Nederlandse_taal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']"
         id="tmp-r-dd0463ef-45e2-4132-81c3-5f5ade08e835">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(spreekt_Nederlandse_taal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.221'">(spreekt_Nederlandse_taal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.221' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.221
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:code[(@code='365453006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (spreekt_Nederlandse_taal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:code[(@code='365453006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-810a6627-e720-42ca-8036-4dea9375f98b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(spreekt_Nederlandse_taal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000.html"
              test="@nullFlavor or (@code='365453006' and @codeSystem='2.16.840.1.113883.6.96')">(spreekt_Nederlandse_taal): de elementwaarde MOET zijn code '365453006' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.221
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:value
Item: (spreekt_Nederlandse_taal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:value"
         id="tmp-r-837f0861-ba2d-484d-be2a-2a2db07db296">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.221-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(spreekt_Nederlandse_taal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
