<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.233
Name: ziekte inzicht
Description: ziekte_inzicht
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000">
   <title>ziekte inzicht</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.233
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]
Item: (ziekte_inzicht)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]"
         id="tmp-r-911db135-e916-45bc-ac5a-a2cb9015f3f1">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/@nullFlavor)">(ziekte_inzicht): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']])&lt;=1">(ziekte_inzicht): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.233
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']]
Item: (ziekte_inzicht)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']]"
         id="tmp-r-13f82b2e-fc0c-4106-a448-ffa4337bd99e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(ziekte_inzicht): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(ziekte_inzicht): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']/@nullFlavor)">(ziekte_inzicht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233'])&lt;=1">(ziekte_inzicht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000.html"
              test="count(hl7:code[(@code='27026000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='27026000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(ziekte_inzicht): element hl7:code[(@code='27026000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000.html"
              test="count(hl7:code[(@code='27026000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(ziekte_inzicht): element hl7:code[(@code='27026000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(ziekte_inzicht): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(ziekte_inzicht): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.233
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']
Item: (ziekte_inzicht)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']"
         id="tmp-r-e9fa6ed8-b9f3-437d-b2ab-858f23f8131b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ziekte_inzicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.233'">(ziekte_inzicht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.233' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.233
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:code[(@code='27026000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (ziekte_inzicht)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:code[(@code='27026000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-535e6f8e-4e22-45f0-bd04-ad9c2dee62fb">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ziekte_inzicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000.html"
              test="@nullFlavor or (@code='27026000' and @codeSystem='2.16.840.1.113883.6.96')">(ziekte_inzicht): de elementwaarde MOET zijn code '27026000' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.233
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:value
Item: (ziekte_inzicht)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:value"
         id="tmp-r-ebddea57-0b76-4dcc-a8f8-264398d5436b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.233-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ziekte_inzicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
