<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Name: wilsverklaring
Description: Template voor de weergave van wilsverklaring
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000">
   <title>wilsverklaring</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]
Item: (wilsverklaring)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]"
         id="tmp-r-4aeb5119-c251-4112-bff0-8253c61f0cab">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/@nullFlavor)">(wilsverklaring): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']])&lt;=1">(wilsverklaring): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']]
Item: (wilsverklaring)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']]"
         id="tmp-r-a6181514-5122-4a80-b246-b29d7e3b96bd">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(wilsverklaring): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(wilsverklaring): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(wilsverklaring): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']/@nullFlavor)">(wilsverklaring): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238'])&lt;=1">(wilsverklaring): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:code[(@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(wilsverklaring): element hl7:code[(@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:code[(@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(wilsverklaring): element hl7:code[(@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]])&lt;=1">(wilsverklaring): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']
Item: (wilsverklaring)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']"
         id="tmp-r-1de22252-53cb-4e4a-a510-bd21ac418222">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wilsverklaring): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.238'">(wilsverklaring): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.238' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:code[(@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (wilsverklaring)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:code[(@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-cce2bf51-c17b-4b63-8542-c1c50e68d7d3">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wilsverklaring): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="@nullFlavor or (@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')">(wilsverklaring): de elementwaarde MOET zijn code '425392003' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]]
Item: (wilsverklaring)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(wilsverklaring): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
