<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.244
Name: werk beroep
Description: Template voor de weergave van werk beroep
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000">
   <title>werk beroep</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.244
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]
Item: (werk_beroep)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]"
         id="tmp-r-2c5df6da-03d9-47c5-960b-049097c790a6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/@nullFlavor)">(werk_beroep): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']])&lt;=1">(werk_beroep): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.244
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']]
Item: (werk_beroep)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']]"
         id="tmp-r-dd3b30cc-2ade-4391-9a75-6c589551f79b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(werk_beroep): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(werk_beroep): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']/@nullFlavor)">(werk_beroep): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244'])&lt;=1">(werk_beroep): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000.html"
              test="count(hl7:code[(@code='184104002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='184104002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(werk_beroep): element hl7:code[(@code='184104002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000.html"
              test="count(hl7:code[(@code='184104002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(werk_beroep): element hl7:code[(@code='184104002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(werk_beroep): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(werk_beroep): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.244
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']
Item: (werk_beroep)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']"
         id="tmp-r-1614725d-4935-46c9-8f1e-e9fe7c4b4850">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(werk_beroep): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.244'">(werk_beroep): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.244' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.244
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:code[(@code='184104002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (werk_beroep)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:code[(@code='184104002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-ccef2fbf-3195-4a63-8fd2-b61bae7f1eb9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(werk_beroep): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000.html"
              test="@nullFlavor or (@code='184104002' and @codeSystem='2.16.840.1.113883.6.96')">(werk_beroep): de elementwaarde MOET zijn code '184104002' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.244
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:value
Item: (werk_beroep)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:value"
         id="tmp-r-1ac438a1-e35a-4386-a542-f17bf7b7771a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.244-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(werk_beroep): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
