<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.259
Name: eHealth voorzieningen
Description: Template voor de weergave van eHealth voorzieningen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000">
   <title>eHealth voorzieningen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.259
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]
Item: (e_health_voorzieningen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]"
         id="tmp-r-32ee2409-51ba-492e-8e42-7093c393397b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/@nullFlavor)">(e_health_voorzieningen): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']])&lt;=1">(e_health_voorzieningen): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.259
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]
Item: (e_health_voorzieningen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]"
         id="tmp-r-d380a806-3701-48a0-a029-97d616848565">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(e_health_voorzieningen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(e_health_voorzieningen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']/@nullFlavor)">(e_health_voorzieningen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259'])&lt;=1">(e_health_voorzieningen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000.html"
              test="count(hl7:code[(@code='423723003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='423723003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(e_health_voorzieningen): element hl7:code[(@code='423723003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000.html"
              test="count(hl7:code[(@code='423723003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(e_health_voorzieningen): element hl7:code[(@code='423723003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(e_health_voorzieningen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(e_health_voorzieningen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.259
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']
Item: (e_health_voorzieningen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']"
         id="tmp-r-8ec5473e-e5cf-45dd-b246-0d3b530c3c7f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(e_health_voorzieningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.259'">(e_health_voorzieningen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.259' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.259
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:code[(@code='423723003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (e_health_voorzieningen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:code[(@code='423723003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-37188bea-4199-40c8-85d4-ae0cb1013f8d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(e_health_voorzieningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000.html"
              test="@nullFlavor or (@code='423723003' and @codeSystem='2.16.840.1.113883.6.96')">(e_health_voorzieningen): de elementwaarde MOET zijn code '423723003' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.259
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:value
Item: (e_health_voorzieningen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:value"
         id="tmp-r-1503750a-c4fd-4ac7-9ec6-5c9595d8ed45">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.259-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(e_health_voorzieningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
