<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.27
Name: entry Samenvatting zorgvraag
Description: Template: entry Samenvatting zorgvraag
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000">
   <title>entry Samenvatting zorgvraag</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.27
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]
Item: (entry_Transfer_summary_report)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]"
         id="tmp-r-9bf1bc1d-dcbc-4be4-90b6-6864dba96ad1">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/@nullFlavor)">(entry_Transfer_summary_report): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']])&lt;=1">(entry_Transfer_summary_report): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.27
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]
Item: (entry_Transfer_summary_report)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]"
         id="tmp-r-99a36118-5386-4950-9c1b-a6290be6f2a5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="string(@classCode)='OBS'">(entry_Transfer_summary_report): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="string(@moodCode)='EVN'">(entry_Transfer_summary_report): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']/@nullFlavor)">(entry_Transfer_summary_report): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27'])&lt;=1">(entry_Transfer_summary_report): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="count(hl7:code[(@code='371535009' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='371535009' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entry_Transfer_summary_report): element hl7:code[(@code='371535009' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="count(hl7:code[(@code='371535009' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entry_Transfer_summary_report): element hl7:code[(@code='371535009' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]]/@nullFlavor)">(entry_Transfer_summary_report): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]])&lt;=1">(entry_Transfer_summary_report): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30']]])&gt;=1 and not(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30']]]/@nullFlavor)">(entry_Transfer_summary_report): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30']]])&lt;=1">(entry_Transfer_summary_report): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']]])&lt;=1">(entry_Transfer_summary_report): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.27
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']
Item: (entry_Transfer_summary_report)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']"
         id="tmp-r-545c7c55-606e-4815-bbe1-ad9e3838b1d9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Transfer_summary_report): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.27'">(entry_Transfer_summary_report): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.27' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.27
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:code[(@code='371535009' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entry_Transfer_summary_report)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:code[(@code='371535009' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-cab9212c-66b8-4692-9581-b2047d0d5286">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Transfer_summary_report): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="@nullFlavor or (@code='371535009' and @codeSystem='2.16.840.1.113883.6.96')">(entry_Transfer_summary_report): de elementwaarde MOET zijn code '371535009' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.27
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]]
Item: (entry_Transfer_summary_report)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="string(@typeCode)='COMP'">(entry_Transfer_summary_report): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.27
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30']]]
Item: (entry_Transfer_summary_report)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="string(@typeCode)='COMP'">(entry_Transfer_summary_report): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.27
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']]]
Item: (entry_Transfer_summary_report)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="string(@typeCode)='COMP'">(entry_Transfer_summary_report): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.27
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']]]
Item: (entry_Transfer_summary_report)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="string(@typeCode)='COMP'">(entry_Transfer_summary_report): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.27
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']]]
Item: (entry_Transfer_summary_report)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.27-2014-08-20T000000.html"
              test="string(@typeCode)='COMP'">(entry_Transfer_summary_report): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
