<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.28
Name: samenvatting reden in zorg
Description: Template: entryRelationship Samenvatting reden in zorg
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000">
   <title>samenvatting reden in zorg</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]
Item: (entryRelationship_Samenvatting_zorgvraag)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]"
         id="tmp-r-97591789-993b-496d-b9bb-fbe3e2c3847b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/@nullFlavor)">(entryRelationship_Samenvatting_zorgvraag): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']])&lt;=1">(entryRelationship_Samenvatting_zorgvraag): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]
Item: (entryRelationship_Samenvatting_zorgvraag)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]"
         id="tmp-r-672f353a-499d-4a85-b717-ad4c0dd236e5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_Samenvatting_zorgvraag): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_Samenvatting_zorgvraag): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']/@nullFlavor)">(entryRelationship_Samenvatting_zorgvraag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28'])&lt;=1">(entryRelationship_Samenvatting_zorgvraag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="count(hl7:code[(@code='406550009' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='406550009' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_Samenvatting_zorgvraag): element hl7:code[(@code='406550009' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="count(hl7:code[(@code='406550009' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_Samenvatting_zorgvraag): element hl7:code[(@code='406550009' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_Samenvatting_zorgvraag): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_Samenvatting_zorgvraag): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']
Item: (entryRelationship_Samenvatting_zorgvraag)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']"
         id="tmp-r-ff3c3de0-6276-4e45-9549-501fb1e75111">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_Samenvatting_zorgvraag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.28'">(entryRelationship_Samenvatting_zorgvraag): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.28' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:code[(@code='406550009' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_Samenvatting_zorgvraag)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:code[(@code='406550009' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-90fc215b-c984-4a91-9c15-9bb595b417aa">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_Samenvatting_zorgvraag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="@nullFlavor or (@code='406550009' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_Samenvatting_zorgvraag): de elementwaarde MOET zijn code '406550009' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:value
Item: (entryRelationship_Samenvatting_zorgvraag)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:value"
         id="tmp-r-c3eeb600-17e0-4f56-82d4-66c166805398">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_Samenvatting_zorgvraag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29']]]
Item: (entryRelationship_Samenvatting_zorgvraag)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.28-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entryRelationship_Samenvatting_zorgvraag): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
