<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Name: CIZ-indicatie
Description: Template: entryRelationship CIZ-indicatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000">
   <title>CIZ-indicatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]
Item: (entryRelationship_CIZ-indicatie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]"
         id="tmp-r-8a4144ab-8f6d-4d2a-9738-a06e73405e88">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/@nullFlavor)">(entryRelationship_CIZ-indicatie): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']]
Item: (entryRelationship_CIZ-indicatie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']]"
         id="tmp-r-1861bdc5-434e-4798-839a-bae95e39a38a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_CIZ-indicatie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_CIZ-indicatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']/@nullFlavor)">(entryRelationship_CIZ-indicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32'])&lt;=1">(entryRelationship_CIZ-indicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="count(hl7:code[(@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_CIZ-indicatie): element hl7:code[(@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="count(hl7:code[(@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_CIZ-indicatie): element hl7:code[(@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_CIZ-indicatie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_CIZ-indicatie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']
Item: (entryRelationship_CIZ-indicatie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']"
         id="tmp-r-432c2696-c9b9-4d2c-83a7-48653e9a0504">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_CIZ-indicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.32'">(entryRelationship_CIZ-indicatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.32' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:code[(@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_CIZ-indicatie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:code[(@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-9a647782-97dd-441e-b593-7687b8a0907e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_CIZ-indicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="@nullFlavor or (@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_CIZ-indicatie): de elementwaarde MOET zijn code '440612004' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:value
Item: (entryRelationship_CIZ-indicatie)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:value"
         id="tmp-r-bcdb41e8-c3bf-4ee5-9a68-b1c202d9e1e5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_CIZ-indicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
