<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Name: gemaakte afspraken
Description: Template: entryRelationship gemaakte afspraken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000">
   <title>gemaakte afspraken</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]
Item: (entryRelationship_gemaakte_afspraken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]"
         id="tmp-r-421353cb-07f1-476e-ad45-84116805e79c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/@nullFlavor)">(entryRelationship_gemaakte_afspraken): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']])&lt;=1">(entryRelationship_gemaakte_afspraken): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']]
Item: (entryRelationship_gemaakte_afspraken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']]"
         id="tmp-r-23176413-b821-41a8-a797-da3ae7d7d895">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_gemaakte_afspraken): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_gemaakte_afspraken): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']/@nullFlavor)">(entryRelationship_gemaakte_afspraken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33'])&lt;=1">(entryRelationship_gemaakte_afspraken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="count(hl7:code[(@code='288834001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='288834001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_gemaakte_afspraken): element hl7:code[(@code='288834001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="count(hl7:code[(@code='288834001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_gemaakte_afspraken): element hl7:code[(@code='288834001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_gemaakte_afspraken): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_gemaakte_afspraken): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]])&lt;=1">(entryRelationship_gemaakte_afspraken): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']
Item: (entryRelationship_gemaakte_afspraken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']"
         id="tmp-r-249528d9-cec7-4d59-bcd1-47c648360cd2">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_gemaakte_afspraken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.33'">(entryRelationship_gemaakte_afspraken): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.33' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:code[(@code='288834001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_gemaakte_afspraken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:code[(@code='288834001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-c2bd6b5b-b34f-49ac-843f-d4a04a5a4915">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_gemaakte_afspraken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="@nullFlavor or (@code='288834001' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_gemaakte_afspraken): de elementwaarde MOET zijn code '288834001' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:value
Item: (entryRelationship_gemaakte_afspraken)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:value"
         id="tmp-r-6e71e65a-0d71-44cd-964b-e7840cc78532">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_gemaakte_afspraken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]]
Item: (entryRelationship_gemaakte_afspraken)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2014-08-20T000000.html"
              test="string(@typeCode)='REFR'">(entryRelationship_gemaakte_afspraken): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
