<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Name: mening client
Description: Template: entryRelationship mening client
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000">
   <title>mening client</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]
Item: (entryRelationship_mening_client)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]"
         id="tmp-r-f0e47dcd-e0c7-4e71-8ddf-e23862ea0d02">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/@nullFlavor)">(entryRelationship_mening_client): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']])&lt;=1">(entryRelationship_mening_client): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']]
Item: (entryRelationship_mening_client)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']]"
         id="tmp-r-7dab3170-398a-45a0-be69-283a207eade8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_mening_client): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_mening_client): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']/@nullFlavor)">(entryRelationship_mening_client): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35'])&lt;=1">(entryRelationship_mening_client): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:code[(@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_mening_client): element hl7:code[(@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:code[(@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_mening_client): element hl7:code[(@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_mening_client): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_mening_client): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']
Item: (entryRelationship_mening_client)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']"
         id="tmp-r-e0eb4e06-5aef-4b59-9290-60ac9d717b6c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_mening_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.35'">(entryRelationship_mening_client): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.35' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:code[(@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_mening_client)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:code[(@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-555bdd38-4dea-41bb-ba93-37d689d99522">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_mening_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="@nullFlavor or (@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_mening_client): de elementwaarde MOET zijn code '405223005' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:value
Item: (entryRelationship_mening_client)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:value"
         id="tmp-r-7f0e2f93-10c3-4555-a6ff-991dcfaefc13">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_mening_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
