<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.37
Name: discipline mede behandelaars
Description: Template: entryRelationship discipline mede behandelaars
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000">
   <title>discipline mede behandelaars</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]
Item: (entryRelationship_discipline_mede_behandelaars)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]"
         id="tmp-r-8830467b-63be-44bd-a149-880ddb41390c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']])&gt;=1 ">(entryRelationship_discipline_mede_behandelaars): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']]
Item: (entryRelationship_discipline_mede_behandelaars)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']]"
         id="tmp-r-c202de2d-e189-42c8-9f43-b4f83be59c13">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_discipline_mede_behandelaars): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_discipline_mede_behandelaars): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']/@nullFlavor)">(entryRelationship_discipline_mede_behandelaars): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37'])&lt;=1">(entryRelationship_discipline_mede_behandelaars): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="count(hl7:code[(@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_discipline_mede_behandelaars): element hl7:code[(@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="count(hl7:code[(@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_discipline_mede_behandelaars): element hl7:code[(@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_discipline_mede_behandelaars): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_discipline_mede_behandelaars): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']
Item: (entryRelationship_discipline_mede_behandelaars)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']"
         id="tmp-r-c70012ab-622a-4360-b092-efd001e88219">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_discipline_mede_behandelaars): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.37'">(entryRelationship_discipline_mede_behandelaars): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.37' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:code[(@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_discipline_mede_behandelaars)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:code[(@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-430fe5b5-4f5e-4584-a6e0-33bf9be45be6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_discipline_mede_behandelaars): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="@nullFlavor or (@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_discipline_mede_behandelaars): de elementwaarde MOET zijn code '394658006' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:value
Item: (entryRelationship_discipline_mede_behandelaars)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:value"
         id="tmp-r-bfc917da-530e-4763-8d9d-d925c7a2dc09">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_discipline_mede_behandelaars): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
