<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.52
Name: overige meetwaarden
Description: Template: entryRelationship overige meetwaarden
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000">
   <title>overige meetwaarden</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.52
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]
Item: (entryRelationship_overige_meetwaarden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]"
         id="tmp-r-9b03271c-fd4a-48b8-83bf-55c0dbff38af">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/@nullFlavor)">(entryRelationship_overige_meetwaarden): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']])&lt;=1">(entryRelationship_overige_meetwaarden): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.52
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']]
Item: (entryRelationship_overige_meetwaarden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']]"
         id="tmp-r-6f32da84-2d98-4d07-8e40-35c3f9b116b9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_overige_meetwaarden): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_overige_meetwaarden): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']/@nullFlavor)">(entryRelationship_overige_meetwaarden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52'])&lt;=1">(entryRelationship_overige_meetwaarden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="count(hl7:code[(@code='118245000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='118245000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_overige_meetwaarden): element hl7:code[(@code='118245000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="count(hl7:code[(@code='118245000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_overige_meetwaarden): element hl7:code[(@code='118245000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(entryRelationship_overige_meetwaarden): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_overige_meetwaarden): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_overige_meetwaarden): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.52
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']
Item: (entryRelationship_overige_meetwaarden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']"
         id="tmp-r-3d76ff3d-a811-4675-ae11-067f62b973a0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_overige_meetwaarden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.52'">(entryRelationship_overige_meetwaarden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.52' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.52
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:code[(@code='118245000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_overige_meetwaarden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:code[(@code='118245000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-85fa5c67-a4bb-42e1-b7a0-745703ce0a3f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_overige_meetwaarden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="@nullFlavor or (@code='118245000' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_overige_meetwaarden): de elementwaarde MOET zijn code '118245000' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.52
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:effectiveTime
Item: (entryRelationship_overige_meetwaarden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:effectiveTime"
         id="tmp-r-34ca947f-0bf9-4b11-8053-fbaa52de7535">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_overige_meetwaarden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.52
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:value
Item: (entryRelationship_overige_meetwaarden)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:value"
         id="tmp-r-fd43c0b1-c44c-4cba-befe-a0f9d3615a3a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.52-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_overige_meetwaarden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
