<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.54
Name: ondersteuning nodig
Description: Template voor de weergave van ondersteuning nodig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000">
   <title>ondersteuning nodig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.54
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]
Item: (entryRelationship_ondersteuning_nodig)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]"
         id="tmp-r-6078672a-3e99-469d-a539-a568a0473bda">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/@nullFlavor)">(entryRelationship_ondersteuning_nodig): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']])&lt;=1">(entryRelationship_ondersteuning_nodig): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.54
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']]
Item: (entryRelationship_ondersteuning_nodig)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']]"
         id="tmp-r-45eac3fc-8d8e-4d9d-a483-17ec2bdc9cd2">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_ondersteuning_nodig): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_ondersteuning_nodig): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entryRelationship_ondersteuning_nodig): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(../../hl7:entryRelationship)=1">(entryRelationship_ondersteuning_nodig): Als er géén ondersteuning nodig is (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value">(entryRelationship_ondersteuning_nodig): Als er géén ondersteuning nodig is (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']/@nullFlavor)">(entryRelationship_ondersteuning_nodig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54'])&lt;=1">(entryRelationship_ondersteuning_nodig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="count(hl7:code[(@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_ondersteuning_nodig): element hl7:code[(@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="count(hl7:code[(@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_ondersteuning_nodig): element hl7:code[(@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.54
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']
Item: (entryRelationship_ondersteuning_nodig)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']"
         id="tmp-r-4cc5c15d-3481-4830-9b34-74e2a4479431">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_ondersteuning_nodig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.54'">(entryRelationship_ondersteuning_nodig): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.54' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.54
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:code[(@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_ondersteuning_nodig)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:code[(@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-ffdd861e-b280-4197-8b7d-a9b8e3d6b2a1">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_ondersteuning_nodig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="@nullFlavor or (@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_ondersteuning_nodig): de elementwaarde MOET zijn code '426031007' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
</pattern>
