<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.55
Name: voortbewegen
Description: Template voor de weergave van voortbewegen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000">
   <title>voortbewegen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.55
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]
Item: (entryRelationship_voortbewegen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]"
         id="tmp-r-0ccb3f02-47ee-4830-b7ae-57b1813c225c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/@nullFlavor)">(entryRelationship_voortbewegen): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']])&lt;=1">(entryRelationship_voortbewegen): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.55
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']]
Item: (entryRelationship_voortbewegen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']]"
         id="tmp-r-f0d254fd-0f83-4dec-ba95-e7c705a44c80">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_voortbewegen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_voortbewegen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']/@nullFlavor)">(entryRelationship_voortbewegen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55'])&lt;=1">(entryRelationship_voortbewegen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="count(hl7:code[(@code='282097004' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='282097004' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_voortbewegen): element hl7:code[(@code='282097004' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="count(hl7:code[(@code='282097004' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_voortbewegen): element hl7:code[(@code='282097004' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.56']]])&lt;=1">(entryRelationship_voortbewegen): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.56']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]])&lt;=1">(entryRelationship_voortbewegen): element hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.55
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']
Item: (entryRelationship_voortbewegen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']"
         id="tmp-r-04611fb6-db42-4657-b731-3559b0aca31c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_voortbewegen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.55'">(entryRelationship_voortbewegen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.55' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.55
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:code[(@code='282097004' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_voortbewegen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:code[(@code='282097004' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-aa9080de-84b4-4ebf-a177-360ecede66cb">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_voortbewegen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="@nullFlavor or (@code='282097004' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_voortbewegen): de elementwaarde MOET zijn code '282097004' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.55
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.56']]]
Item: (entryRelationship_voortbewegen)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.56']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entryRelationship_voortbewegen): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.55
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]]
Item: (entryRelationship_voortbewegen)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.55-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entryRelationship_voortbewegen): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
