<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Name: aantal kinderen inwonend
Description: Template: Aantal kinderen inwonend
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000">
   <title>aantal kinderen inwonend</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]
Item: (aantal_kinderen_inwonend)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]"
         id="tmp-r-5f902f8e-566a-4660-99e7-94fc4a82c2ef">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/@nullFlavor)">(aantal_kinderen_inwonend): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']])&lt;=1">(aantal_kinderen_inwonend): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']]
Item: (aantal_kinderen_inwonend)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']]"
         id="tmp-r-ab7cb1b1-1a26-4b8c-8828-08948ba4235f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(aantal_kinderen_inwonend): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(aantal_kinderen_inwonend): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']/@nullFlavor)">(aantal_kinderen_inwonend): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6'])&lt;=1">(aantal_kinderen_inwonend): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:code[(@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(aantal_kinderen_inwonend): element hl7:code[(@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:code[(@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(aantal_kinderen_inwonend): element hl7:code[(@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(aantal_kinderen_inwonend): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(aantal_kinderen_inwonend): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']
Item: (aantal_kinderen_inwonend)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']"
         id="tmp-r-a06e064d-09a1-45d9-bb9c-023b03beb37f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(aantal_kinderen_inwonend): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.6'">(aantal_kinderen_inwonend): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.6' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:code[(@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (aantal_kinderen_inwonend)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:code[(@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-0881a4b4-87c2-4bc1-8f09-2c0cf79bad94">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(aantal_kinderen_inwonend): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="@nullFlavor or (@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')">(aantal_kinderen_inwonend): de elementwaarde MOET zijn code '224525003' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:value
Item: (aantal_kinderen_inwonend)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:value"
         id="tmp-r-b14713da-b339-48cb-91f5-cf7415a09e2e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(aantal_kinderen_inwonend): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="$digitok or @nullFlavor">(aantal_kinderen_inwonend): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>
