<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Name: houding veranderen
Description: Template voor de weergave van houding veranderen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000">
   <title>houding veranderen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]
Item: (entryRelationship_houding_veranderen)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]"
         id="tmp-r-28135ad9-37d8-4f95-b648-a07243b18ffa">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']])&gt;=1 and not(hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/@nullFlavor)">(entryRelationship_houding_veranderen): element hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']])&lt;=1">(entryRelationship_houding_veranderen): element hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']]
Item: (entryRelationship_houding_veranderen)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']]"
         id="tmp-r-9dcda30d-0340-4c1d-8a56-d2f759403f19">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="string(@classCode)='CLUSTER'">(entryRelationship_houding_veranderen): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_houding_veranderen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']/@nullFlavor)">(entryRelationship_houding_veranderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61'])&lt;=1">(entryRelationship_houding_veranderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:code[(@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_houding_veranderen): element hl7:code[(@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:code[(@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_houding_veranderen): element hl7:code[(@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:statusCode)&lt;=1">(entryRelationship_houding_veranderen): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.62']]])&lt;=1">(entryRelationship_houding_veranderen): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.62']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]])&lt;=1">(entryRelationship_houding_veranderen): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']
Item: (entryRelationship_houding_veranderen)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']"
         id="tmp-r-689fdc88-3bb7-47f0-9e70-c7818b0b4145">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.61'">(entryRelationship_houding_veranderen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.61' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:code[(@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_houding_veranderen)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:code[(@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-e2893e2c-9cf0-493c-9b14-2ecf6eed4133">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="@nullFlavor or (@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_houding_veranderen): de elementwaarde MOET zijn code '282830003' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:statusCode
Item: (entryRelationship_houding_veranderen)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:statusCode"
         id="tmp-r-484222cf-daaf-4737-a093-66a6dcc341cf">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="@nullFlavor or (@code='completed')">(entryRelationship_houding_veranderen): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.62']]]
Item: (entryRelationship_houding_veranderen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]]
Item: (entryRelationship_houding_veranderen)
--></pattern>
