<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.63
Name: houding veranderen van liggen
Description: Template voor de weergave van houding veranderen van liggen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000">
   <title>houding veranderen van liggen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.63
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]
Item: (entryRelationship_houding_veranderen_van_liggen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]"
         id="tmp-r-dc9a20fa-fb4f-4fde-b1eb-9b6a738bfbcb">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/@nullFlavor)">(entryRelationship_houding_veranderen_van_liggen): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']])&lt;=1">(entryRelationship_houding_veranderen_van_liggen): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.63
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']]
Item: (entryRelationship_houding_veranderen_van_liggen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']]"
         id="tmp-r-7debd381-7ea6-4bc1-b074-3d842d963b7d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_houding_veranderen_van_liggen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_houding_veranderen_van_liggen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']/@nullFlavor)">(entryRelationship_houding_veranderen_van_liggen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63'])&lt;=1">(entryRelationship_houding_veranderen_van_liggen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d4100' and @codeSystem='2.16.840.1.113883.6.254')])&gt;=1 and not(hl7:code[(@code='d4100' and @codeSystem='2.16.840.1.113883.6.254')]/@nullFlavor)">(entryRelationship_houding_veranderen_van_liggen): element hl7:code[(@code='d4100' and @codeSystem='2.16.840.1.113883.6.254')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d4100' and @codeSystem='2.16.840.1.113883.6.254')])&lt;=1">(entryRelationship_houding_veranderen_van_liggen): element hl7:code[(@code='d4100' and @codeSystem='2.16.840.1.113883.6.254')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(entryRelationship_houding_veranderen_van_liggen): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(entryRelationship_houding_veranderen_van_liggen): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.63
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']
Item: (entryRelationship_houding_veranderen_van_liggen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']"
         id="tmp-r-8de45b61-8776-4b2e-bdb2-8ac55a2ba997">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen_van_liggen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.63'">(entryRelationship_houding_veranderen_van_liggen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.63' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.63
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:code[(@code='d4100' and @codeSystem='2.16.840.1.113883.6.254')]
Item: (entryRelationship_houding_veranderen_van_liggen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:code[(@code='d4100' and @codeSystem='2.16.840.1.113883.6.254')]"
         id="tmp-r-b51877be-fb85-41e8-8be9-acf83d1332ba">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen_van_liggen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="@nullFlavor or (@code='d4100' and @codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_veranderen_van_liggen): de elementwaarde MOET zijn code 'd4100' codeSystem '2.16.840.1.113883.6.254'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.63
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (entryRelationship_houding_veranderen_van_liggen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-7d7306c1-4b02-40da-9921-2a68087a44a8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen_van_liggen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_veranderen_van_liggen): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.6.254'.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.63-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_houding_veranderen_van_liggen): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
