<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.65
Name: houding veranderen van staan
Description: Template voor de weergave van houding veranderen van staan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000">
   <title>houding veranderen van staan</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.65
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.65']]
Item: (entryRelationship_houding_veranderen_van_staan)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.65']]"
         id="tmp-r-df96386c-b848-4862-92cf-779a25c47904">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']]/@nullFlavor)">(entryRelationship_houding_veranderen_van_staan): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']])&lt;=1">(entryRelationship_houding_veranderen_van_staan): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.65
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.65']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']]
Item: (entryRelationship_houding_veranderen_van_staan)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.65']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']]"
         id="tmp-r-058b9a73-1973-4291-91d0-00a3e16f3016">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_houding_veranderen_van_staan): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_houding_veranderen_van_staan): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']/@nullFlavor)">(entryRelationship_houding_veranderen_van_staan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65'])&lt;=1">(entryRelationship_houding_veranderen_van_staan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d4104' and @codeSystem='2.16.840.1.113883.6.254')])&gt;=1 and not(hl7:code[(@code='d4104' and @codeSystem='2.16.840.1.113883.6.254')]/@nullFlavor)">(entryRelationship_houding_veranderen_van_staan): element hl7:code[(@code='d4104' and @codeSystem='2.16.840.1.113883.6.254')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d4104' and @codeSystem='2.16.840.1.113883.6.254')])&lt;=1">(entryRelationship_houding_veranderen_van_staan): element hl7:code[(@code='d4104' and @codeSystem='2.16.840.1.113883.6.254')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(entryRelationship_houding_veranderen_van_staan): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(entryRelationship_houding_veranderen_van_staan): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.65
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.65']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']
Item: (entryRelationship_houding_veranderen_van_staan)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.65']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']"
         id="tmp-r-09e57163-e267-4af4-b2be-921db2bcee36">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen_van_staan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.65'">(entryRelationship_houding_veranderen_van_staan): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.65' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.65
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.65']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']]/hl7:code[(@code='d4104' and @codeSystem='2.16.840.1.113883.6.254')]
Item: (entryRelationship_houding_veranderen_van_staan)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.65']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']]/hl7:code[(@code='d4104' and @codeSystem='2.16.840.1.113883.6.254')]"
         id="tmp-r-291d93f6-ce8e-4a9f-8a0b-65ea7dfa7348">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen_van_staan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="@nullFlavor or (@code='d4104' and @codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_veranderen_van_staan): de elementwaarde MOET zijn code 'd4104' codeSystem '2.16.840.1.113883.6.254'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.65
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.65']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (entryRelationship_houding_veranderen_van_staan)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.65']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.65']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-78a46251-b7b3-4e4b-b7ca-53c1077c8114">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen_van_staan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_veranderen_van_staan): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.6.254'.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.65-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_houding_veranderen_van_staan): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
