<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.69
Name: houding handhaven van staan
Description: Template voor de weergave van houding handhaven van staan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000">
   <title>houding handhaven van staan</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.69
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]
Item: (entryRelationship_houding_handhaven_van_staan)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]"
         id="tmp-r-f4b315cc-b100-42ca-9493-6dc7b82d40e1">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/@nullFlavor)">(entryRelationship_houding_handhaven_van_staan): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']])&lt;=1">(entryRelationship_houding_handhaven_van_staan): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.69
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']]
Item: (entryRelationship_houding_handhaven_van_staan)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']]"
         id="tmp-r-87fe4141-ed09-4e40-8816-dc0f688c8bb2">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_houding_handhaven_van_staan): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_houding_handhaven_van_staan): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']/@nullFlavor)">(entryRelationship_houding_handhaven_van_staan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69'])&lt;=1">(entryRelationship_houding_handhaven_van_staan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d4154' and @codeSystem='2.16.840.1.113883.6.254')])&gt;=1 and not(hl7:code[(@code='d4154' and @codeSystem='2.16.840.1.113883.6.254')]/@nullFlavor)">(entryRelationship_houding_handhaven_van_staan): element hl7:code[(@code='d4154' and @codeSystem='2.16.840.1.113883.6.254')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d4154' and @codeSystem='2.16.840.1.113883.6.254')])&lt;=1">(entryRelationship_houding_handhaven_van_staan): element hl7:code[(@code='d4154' and @codeSystem='2.16.840.1.113883.6.254')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(entryRelationship_houding_handhaven_van_staan): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(entryRelationship_houding_handhaven_van_staan): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.69
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']
Item: (entryRelationship_houding_handhaven_van_staan)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']"
         id="tmp-r-301087c7-5ea0-458a-b9fe-32a47c9b9a0e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_handhaven_van_staan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.69'">(entryRelationship_houding_handhaven_van_staan): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.69' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.69
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:code[(@code='d4154' and @codeSystem='2.16.840.1.113883.6.254')]
Item: (entryRelationship_houding_handhaven_van_staan)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:code[(@code='d4154' and @codeSystem='2.16.840.1.113883.6.254')]"
         id="tmp-r-89378e6e-4f69-407e-abae-2027fff3fdaa">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_handhaven_van_staan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="@nullFlavor or (@code='d4154' and @codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_handhaven_van_staan): de elementwaarde MOET zijn code 'd4154' codeSystem '2.16.840.1.113883.6.254'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.69
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (entryRelationship_houding_handhaven_van_staan)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-8de2ac27-4f42-48fa-8c3b-69b27426318c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_handhaven_van_staan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_handhaven_van_staan): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.6.254'.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.69-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_houding_handhaven_van_staan): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
