<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.71
Name: verhoogd valrisico aanwezig
Description: Template voor de weergave van verhoogd valrisico aanwezig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000">
   <title>verhoogd valrisico aanwezig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.71
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]
Item: (entryRelationship_verhoogd_valrisico_aanwezig)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]"
         id="tmp-r-f95e6e79-5bc4-48db-b130-116d08decd7e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/@nullFlavor)">(entryRelationship_verhoogd_valrisico_aanwezig): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']])&lt;=1">(entryRelationship_verhoogd_valrisico_aanwezig): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.71
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']]
Item: (entryRelationship_verhoogd_valrisico_aanwezig)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']]"
         id="tmp-r-a6a94311-ec49-40a7-8d7c-e7c942a513a5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_verhoogd_valrisico_aanwezig): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_verhoogd_valrisico_aanwezig): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entryRelationship_verhoogd_valrisico_aanwezig): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(../../hl7:entryRelationship)=1">(entryRelationship_verhoogd_valrisico_aanwezig): Als er géén verhoogd valrisico aanwezig is (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value">(entryRelationship_verhoogd_valrisico_aanwezig): Als er géén verhoogd valrisico aanwezig is (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']/@nullFlavor)">(entryRelationship_verhoogd_valrisico_aanwezig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71'])&lt;=1">(entryRelationship_verhoogd_valrisico_aanwezig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000.html"
              test="count(hl7:code[(@code='429557002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='429557002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_verhoogd_valrisico_aanwezig): element hl7:code[(@code='429557002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000.html"
              test="count(hl7:code[(@code='429557002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_verhoogd_valrisico_aanwezig): element hl7:code[(@code='429557002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.71
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']
Item: (entryRelationship_verhoogd_valrisico_aanwezig)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']"
         id="tmp-r-eba6f345-08e6-464e-ae3d-80c70f6a0ab5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_verhoogd_valrisico_aanwezig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.71'">(entryRelationship_verhoogd_valrisico_aanwezig): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.71' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.71
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:code[(@code='429557002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_verhoogd_valrisico_aanwezig)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:code[(@code='429557002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-0f35a1db-d76c-4889-907f-cf4338040b4f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_verhoogd_valrisico_aanwezig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.71-2012-05-03T000000.html"
              test="@nullFlavor or (@code='429557002' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_verhoogd_valrisico_aanwezig): de elementwaarde MOET zijn code '429557002' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
</pattern>
