<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Name: wassen onderlichaam
Description: Template voor de weergave van entryRelationship wassen onderlichaam
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000">
   <title>wassen onderlichaam</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]
Item: (entryRelationship_wassen_onderlichaam)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]"
         id="tmp-r-aa3e399b-a3fd-4eb1-92d3-b48bc6cf3f70">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/@nullFlavor)">(entryRelationship_wassen_onderlichaam): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']])&lt;=1">(entryRelationship_wassen_onderlichaam): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']]
Item: (entryRelationship_wassen_onderlichaam)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']]"
         id="tmp-r-602bae0f-b418-4dcb-93a4-c30defc56e4e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_wassen_onderlichaam): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_wassen_onderlichaam): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']/@nullFlavor)">(entryRelationship_wassen_onderlichaam): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79'])&lt;=1">(entryRelationship_wassen_onderlichaam): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="count(hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_wassen_onderlichaam): element hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="count(hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_wassen_onderlichaam): element hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(entryRelationship_wassen_onderlichaam): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(entryRelationship_wassen_onderlichaam): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']
Item: (entryRelationship_wassen_onderlichaam)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']"
         id="tmp-r-1d78460d-9c22-4e8c-ab46-d287312f7cfc">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_wassen_onderlichaam): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.79'">(entryRelationship_wassen_onderlichaam): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.79' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_wassen_onderlichaam)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-b2c2274b-9f4c-405b-a46c-940a6d26506e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_wassen_onderlichaam): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="@nullFlavor or (@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_wassen_onderlichaam): de elementwaarde MOET zijn code '284785009' codeSystem '2.16.840.1.113883.6.96'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(entryRelationship_wassen_onderlichaam): element hl7:qualifier is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="count(hl7:qualifier)&lt;=1">(entryRelationship_wassen_onderlichaam): element hl7:qualifier komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.778
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier
Item: (QualifierLowerBody)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier"
         id="tmp-r-2d2b551b-9969-4771-ac28-efabcd0a236b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="count(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(QualifierLowerBody): element hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="count(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(QualifierLowerBody): element hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="count(hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(QualifierLowerBody): element hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="count(hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(QualifierLowerBody): element hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.778
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (QualifierLowerBody)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-e1aba017-bf40-4b68-8a4e-d6dd431813b7">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="@nullFlavor or (@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierLowerBody): de elementwaarde MOET zijn code '405813007' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.778
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (QualifierLowerBody)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-807a1e3c-2adc-4b68-b06a-fb7d04dbd1bd">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="@nullFlavor or (@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierLowerBody): de elementwaarde MOET zijn code '128263001' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (entryRelationship_wassen_onderlichaam)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-664bad0d-0fb0-4aa7-92af-7ae541afc2a5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_wassen_onderlichaam): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_wassen_onderlichaam): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.6.254'.</assert>
      <let name="theICFCode" value="'d5100'"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141021T140455/tmp-2.16.840.1.113883.2.4.6.10.30.2.79-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_wassen_onderlichaam): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
